#pragma once

#include "sfse/GameTypes.h"
#include "sfse_common/Utilities.h"

class Actor;
struct BGSHotloadCompletedEvent {};

// BSTGlobalEvent

struct SnapTemplateUtils
{
    struct SnapReplaceEvent {};
};
struct ImageFixtureEvent_RequestImage {};
struct ImageFixtureEvent_UnregisterImage {};
struct Spaceship
{
    struct TakeOffEvent {};
    struct PlayerMovementOutputEvent {};
    struct GravJumpEvent {};
    struct LandedSetEvent {};
    struct BoughtEvent {};
    struct ContrabandScanWarningEvent {};
    struct DockEvent {};
    struct DynamicNavmeshCompleted {};
    struct FarTravelEvent {};
    struct LandingEvent {};
    struct PlanetScanEvent {};
    struct RampDownEvent {};
    struct RefueledEvent {};
    struct RegisteredEvent {};
    struct ShieldEvent {};
    struct ShipAddedEvent {};
    struct ShipCollisionEvent {};
    struct ShipCustomizedEvent {};
    struct SoldEvent {};
    struct SystemDamagedEvent {};
    struct SystemPowerAllocationEvent {};
    struct SystemPowerChangeEvent {};
    struct SystemRepairedBIEvent {};
    struct SystemRepairedEvent {};
    struct TakeDamagEvent {};
};
struct HUDActivityIncreaseEvent {};
struct AnimationDataCleanupEvent {};
struct AnimationDataSetupEvent {};
struct EndLoadGameEvent {};
struct StartLoadGameEvent {};
struct ShipEditor_SystemSelected {};
struct ShipEditor_PreviewUpgrade {};
struct ShipEditor_SelectedUpgrade {};
struct RuntimeComponentDBFactory
{
    struct ReferenceAttach {};
    struct ReferenceDetach {};
    struct ReferenceCleared3d {};
    struct ReferenceDestroy {};
    struct ReferenceInit {};
    struct ReferenceRecycle {};
    struct ReferenceSet3d {};
    struct Release3DRelatedData {};
};
struct WeaponGroupAssignmentMenu_ChangeWeaponAssignment {};
struct WeaponGroupAssignmentMenu_OnHintButtonActivated {};
struct ShipEditor_OnExitConfirmCancel {};
struct ShipEditor_OnExitConfirmExit {};
struct ShipEditor_OnExitConfirmSaveAndExit {};
struct ShipEditor_OnFlightCheckTabChanged {};
struct ShipEditor_OnWeaponGroupChanged {};
struct ShipEditor_OnRenameEndEditText {};
struct ShipEditor_OnRenameInputCancelled {};
struct ShipEditor_ChangeModuleCategory {};
struct ShipEditor_PreviewShipPart {};
struct ShipEditor_SelectedShipPart {};
struct ShipEditor_OnColorPickerControlChanged {};
struct ShipEditor_OnColorPickerTabChanged {};
struct ShipEditor_OnColorSliderMouseInput {};
struct ShipEditor_OnRecentColorSwatchClicked {};
struct ShipBuilder_CloseAllMenus {};
struct ShipEditor_OnHintButtonActivated {};
struct ShipEditor_RemoveAll3D {};
struct ReferenceQueuedEvent {};
struct LoadScreenEndEvent {};
struct LoadScreenStartEvent {};
struct CellAttachDetachEvent {};
struct PickRefStateChangedEvent {};
struct ActivityTrackerActivityStartedEvent {};
struct BSWorldOriginShiftEvent {};
struct BGSPlanet
{
    struct PlayerKnowledgeFlagSetEvent {};
};
struct StarMap
{
    struct PlanetTraitKnownEvent {};
};
struct ResetHistoryDataEvent {};
struct TESQuestRewardEvent {};
struct HUDWeaponWorldFOVMultChangedEvent {};
struct BGSSceneActionPlayerDialogue
{
    struct ActionEndEvent {};
    struct ActionStartEvent {};
};

struct AutoLoadDoorRolloverEvent {};
struct ClearQuickContainerEvent {};
struct ReferenceCellLoadedTemps {};
struct Workshop
{
    struct CargoLinkAddedEvent {};
    struct CargoLinkTargetChangedEvent {};
    struct EnterOutpostBeaconModeEvent {};
    struct ItemGrabbedEvent {};
    struct ItemMovedEvent {};
    struct ItemPlacedEvent {};
    struct ItemProducedEvent {};
    struct ItemRemovedEvent {};
    struct ItemRepairedEvent {};
    struct ItemScrappedEvent {};
    struct OutpostNameChangedEvent {};
    struct OutpostPlacedEvent {};
    struct PlacementStatusEvent {};
    struct PowerOffEvent {};
    struct PowerOnEvent {};
    struct SnapBehaviorCycledEvent {};
    struct WorkshopFlyCameraEvent {};
    struct WorkshopItemPlacedEvent {};
    struct WorkshopModeEvent {};
    struct WorkshopOutputLinkEvent {};
    struct WorkshopStatsChangedEvent {};
    struct WorkshopUpdateStatsEvent {};
};

struct PickRefUpdateEvent {};

struct ShipCameraStateToggled {};
struct PlayerControls
{
    struct PlayerJumpPressEvent {};
    struct PlayerJumpReleaseEvent {};
    struct PlayerZeroGSprintJustPressedEvent {};
    struct PlayerZeroGSprintReleasedEvent {};
    struct PlayerIronSightsEndEvent {};
    struct PlayerIronSightsStartEvent {};
};
struct PlayerSneakingChangeEvent {};
struct SaveLoadEvent {};
struct SpaceshipWeaponBinding
{
    struct SpaceshipWeaponBindingChangedEvent {};
};
struct BoundaryMenu_FastTravel {};
struct BoundaryMenu_ShowMap {};
struct PhotoGallery_DeletePhoto {};
struct PowersMenu_ActivateEssence {};
struct PowersMenu_EquipPower {};
struct PowersMenu_FavoritePower {};
struct ContainerMenuClosed
{
    struct Event {};
};
struct HangarShipSelection_ChangeSystemDisplay {};
struct HangarShipSelection_RepairShip {};
struct HangarShipSelection_UpgradeSystem {};
struct ShipCrewMenu_Close {};
struct BinkMovieStoppedPlayingEvent {};
struct WorkshopColorMode_ApplyColors {};
struct WorkshopColorMode_SelectedTab {};
struct WorkshopColorMode_SliderChanged {};
struct WorkshopColorMode_SwatchChanged {};
struct HUDCrewBuffMessageEvent {};
struct CraftingMenu_SessionSummaryEvent {};
struct CraftingMenu_CraftItem {};
struct CraftingMenu_ExitBench {};
struct CraftingMenu_InstallMod {};
struct CraftingMenu_RenameItem {};
struct CraftingMenu_RevertedModdedItem {};
struct CraftingMenu_SelectedMod {};
struct CraftingMenu_SelectedModSlot {};
struct CraftingMenu_SelectedModdableItem {};
struct CraftingMenu_SelectedRecipe {};
struct CraftingMenu_SetInspectControls {};
struct CraftingMenu_ToggleTracking {};
struct CraftingMenu_ViewingModdableItem {};
struct ContainerMenu_CloseMenu {};
struct InventoryMenu_Change3DView {};
struct InventoryMenu_PaperDollTryOn {};
struct InventoryMenu_ResetPaperDollInv {};
struct UpdateActivateListenerEvent {};
struct StartOutpostFromListenerEvent {};
struct HUDModeEvent {};
struct OpenContainerMenuEventData {};
struct OpenContainerMenuFromListenerEvent {};
struct HUDRolloverActivationButtonEvent {};
struct HUDRolloverActivationQCItemPressEvent {};
struct Inventory_SetSort {};
struct ShowingQuestMarketTextEvent {};
struct TargetHitEvent {};
struct PlayerCrosshairModeEvent {};
struct ClearHUDMessagesEvent {};
struct ShowHUDMessageEvent {};
struct PlayerDetectionLevelChangeEvent {};
struct ShowCustomWatchAlert {};
struct PlayerUpdateEvent {};
struct InventoryMenu_ToggleHelmet {};
struct InventoryMenu_ToggleSuit {};
struct ControlsRemappedEvent {};
struct SettingsPanel_CheckBoxChanged {};
struct SettingsPanel_ClearBinding {};
struct SettingsPanel_OpenCategory {};
struct SettingsPanel_OpenSettings {};
struct SettingsPanel_RemapConfirmed {};
struct SettingsPanel_RemapMode {};
struct SettingsPanel_ResetToDefaults {};
struct SettingsPanel_SaveControls {};
struct SettingsPanel_SaveSettings {};
struct SettingsPanel_SliderChanged {};
struct SettingsPanel_StepperChanged {};
struct SettingsPanel_ValidateControls {};
struct ShipCrewMenu_OpenAssignMenu {};
struct ShipCrewMenu_SetSort {};
struct ShowLongShipBootup {};
struct ShipHudQuickContainer_TransferMenu {};
struct ShipHud_Activate {};
struct ShipHud_BodyViewMarkerDimensions {};
struct ShipHud_ChangeComponentSelection {};
struct ShipHud_CloseMenu {};
struct ShipHud_Deselect {};
struct ShipHud_FarTravel {};
struct ShipHud_HailAccepted {};
struct ShipHud_HailCancelled {};
struct ShipHud_JumpToQuestMarker {};
struct ShipHud_Land {};
struct ShipHud_LandingMarkerMap {};
struct ShipHud_Map {};
struct ShipHud_OnMonocleToggle {};
struct ShipHud_OpenPhotoMode {};
struct ShipHud_Repair {};
struct ShipHud_SetTargetMode {};
struct ShipHud_Target {};
struct ShipHud_TargetShipSystem {};
struct ShipHud_UntargetShipSystem {};
struct ShipHud_UpdateComponentPower {};
struct DialogueMenu_CompleteExit {};
struct BGSScannerGuideEffectStatusUpdateEvent {};
struct GlobalFunc_CloseAllMenus {};
struct GlobalFunc_CloseMenu {};
struct GlobalFunc_PlayMenuSound {};
struct GlobalFunc_StartGameRender {};
struct GlobalFunc_UserEvent {};
struct ExperienceMeterDisplayData {};
struct LevelUp_AnimFinished {};
struct LevelUp_OnWidgetShown {};
struct LevelUp_OpenDataMenu {};
struct LevelUp_ShowSkills {};
struct LocationTextWidget_FinishedQueue {};
struct DisplayFatigueWarningEvent {};
struct SaveLoadMessageStringEvent {};
struct HUDNotificationEvent {};
struct HUDNotification_MissionActiveWidgetUpdate {};
struct HUDNotification_OpenDataMenu {};
struct HUDNotification_OpenMissionMenu {};
struct HUDNotification_SetMissionActive {};
struct PlayerSetWeaponStateEvent {};
struct BarterMenu_BuyItem {};
struct BarterMenu_CloseMenu {};
struct BarterMenu_HideModel {};
struct BarterMenu_LoadModel {};
struct BarterMenu_SellItem {};
struct BarterMenu_SetMouseOverModel {};
struct BarterMenu_ShowFailureMessage {};
struct BarterMenu_ViewedItem {};
struct MissionMenu_ClearState {};
struct MissionMenu_PlotToLocation {};
struct MissionMenu_RejectQuest {};
struct MissionMenu_SaveCategoryIndex {};
struct MissionMenu_SaveOpenedId {};
struct MissionMenu_ShowItemLocation {};
struct MissionMenu_ToggleTrackingQuest {};
struct DataSlateButtons_acceptClicked {};
struct DataSlateButtons_cancelClicked {};
struct DataSlateMenu_playSFX {};
struct DataSlateMenu_toggleAudio {};
struct InventoryMenu_DropItem {};
struct InventoryMenu_HideModel {};
struct InventoryMenu_LoadModel {};
struct InventoryMenu_OnEnterCategory {};
struct InventoryMenu_OpenCargoHold {};
struct InventoryMenu_SelectItem {};
struct InventoryMenu_SetMouseOverModel {};
struct InventoryMenu_ToggleFavorite {};
struct MissionBoard_MissionEntryChanged {};
struct MissionBoard_MissionEntryPressed {};
struct MonocleMenu_Bioscan {};
struct MonocleMenu_FastTravel {};
struct MonocleMenu_Harvest {};
struct MonocleMenu_Initialize {};
struct MonocleMenu_Outpost {};
struct MonocleMenu_PhotoMode {};
struct MonocleMenu_Shutdown {};
struct MonocleMenu_SocialSpell {};
struct MonocleMenu_StartContainerView {};
struct MonocleMenu_StopContainerView {};
struct MonocleMenu_SurfaceMap {};
struct MonocleMenu_UseListScrollControls {};
struct MonocleMenu_ZoomIn {};
struct MonocleMenu_ZoomOut {};
struct PhotoMode_InitializeCategory {};
struct PhotoMode_ResetToDefaults {};
struct PhotoMode_SliderChanged {};
struct PhotoMode_StepperChanged {};
struct PhotoMode_TakeSnapshot {};
struct PhotoMode_ToggleHelmet {};
struct PhotoMode_ToggleUI {};
struct PickpocketMenu_OnItemSelect {};
struct ResearchMenu_AddMaterial {};
struct ResearchMenu_CategorySelected {};
struct ResearchMenu_ExitMenu {};
struct ResearchMenu_HideModel {};
struct ResearchMenu_PreviewProject {};
struct ResearchMenu_ProjectViewed {};
struct ResearchMenu_SetInspectControls {};
struct ResearchMenu_ToggleTrackingProject {};
struct UnlockedTerminalElementEvent {};
struct SecurityMenu_BackOutKey {};
struct SecurityMenu_CloseMenu {};
struct SecurityMenu_ConfirmExit {};
struct SecurityMenu_EliminateUnusedKeys {};
struct SecurityMenu_GetRingHint {};
struct SecurityMenu_SelectNewKey {};
struct SecurityMenu_TryUseKey {};
struct ShipCrewAssignMenu_Assign {};
struct ShipCrewAssignMenu_Unassign {};
struct ShipCrewMenu_ViewedItem {};
struct Refuel_Accept {};
struct Refuel_Cancel {};
struct SkillsMenu_Accept {};
struct SkillsMenu_AddPatch {};
struct SkillsMenu_Cancel {};
struct SkillsMenu_ChangeCursorVisibility {};
struct SkillsMenu_SaveLastCategory {};
struct BSChargenAPI
{
    struct BIDataUtils
    {
        struct MenuClosedEvent {};
        struct PresetNPCChangedEvent {};
    };
};
struct CharGen_BrowChange {};
struct CharGen_BrowColorChange {};
struct CharGen_CancelTextEntry {};
struct CharGen_CloseMenu {};
struct CharGen_CyclePronoun {};
struct CharGen_DirtScarsEtcChange {};
struct CharGen_EndBodyChange {};
struct CharGen_EndTextEntry {};
struct CharGen_EyeColorChange {};
struct CharGen_FacialHairChange {};
struct CharGen_FacialHairColorChange {};
struct CharGen_HairChange {};
struct CharGen_HairColorChange {};
struct CharGen_HeadpartPlusSelectorChange {};
struct CharGen_HeadpartPresetChange {};
struct CharGen_JewelryChange {};
struct CharGen_JewelryColorChange {};
struct CharGen_MakeupChange {};
struct CharGen_MarkingsChange {};
struct CharGen_PostBlendColorOptionChange {};
struct CharGen_PostBlendFaceChange {};
struct CharGen_PostBlendIntensityChange {};
struct CharGen_PresetChange {};
struct CharGen_RollOffLocomotion {};
struct CharGen_RollOnLocomotion {};
struct CharGen_RotatePaperdoll {};
struct CharGen_SetAdditionalSlider {};
struct CharGen_SetBackground {};
struct CharGen_SetBlockInputUnderPopup {};
struct CharGen_SetBodyValues {};
struct CharGen_SetCameraPosition {};
struct CharGen_SetPronoun {};
struct CharGen_SetSex {};
struct CharGen_SetSlider {};
struct CharGen_SetTrait {};
struct CharGen_ShowChooseBackgroundMessage {};
struct CharGen_ShowPlayerRenameMessage {};
struct CharGen_SkintoneChange {};
struct CharGen_StartBodyChange {};
struct CharGen_StartTextEntry {};
struct CharGen_SwitchBodyType {};
struct CharGen_SwitchLocomotion {};
struct CharGen_TeethChange {};
struct CharGen_TeethRollOff {};
struct CharGen_TeethRollOn {};
struct CharGen_ToggleMarking {};
struct CharGen_TogglePreviewHabSuit {};
struct UIMenuChargenMenuDisablePaperdoll {};
struct DataMenu_CloseMenu {};
struct DataMenu_ClosedForSubMenu {};
struct DataMenu_Missions {};
struct DataMenu_PlotToLocation {};
struct DataMenu_Reopened {};
struct DataMenu_SelectedAttributesMenu {};
struct DataMenu_SelectedInventoryMenu {};
struct DataMenu_SelectedMapMenu {};
struct DataMenu_SelectedPowersMenu {};
struct DataMenu_SelectedShipMenu {};
struct DataMenu_SelectedStatusMenu {};
struct DataMenu_SetMenuForQuickEntry {};
struct DataMenu_SetPaperDollActive {};
struct PauseMenu_ActionCanceled {};
struct PauseMenu_ConfirmAction {};
struct PauseMenu_ConfirmLoad {};
struct PauseMenu_ConfirmSave {};
struct PauseMenu_DeleteSave {};
struct PauseMenu_QuitToDesktop {};
struct PauseMenu_SetCharacter {};
struct PauseMenu_StartAction {};
struct PauseMenu_StartLoad {};
struct PauseMenu_UploadSave {};
struct PlayBink_CloseMenu {};
struct Reticle_OnLongAnimFinished {};
struct ShipHudQuickContainer_TransferItem {};
struct ShipHud_AbortJump {};
struct ShipHud_DockRequested {};
struct ShipHud_HailShip {};
struct ShipHud_UpdateTargetPanelRect {};
struct TakeoffMenu_CloseMenu {};
struct TakeoffMenu_ExitShip {};
struct TakeoffMenu_Launch {};
struct StarMapMenu_LandingInputInProgress {};
struct StarMapMenu_MarkerGroupContainerVisibilityChanged {};
struct StarMapMenu_MarkerGroupEntryClicked {};
struct StarMapMenu_MarkerGroupEntryHoverChanged {};
struct StarMapMenu_ScanPlanet {};
struct StarMapMenu_SelectedLandingSite {};
struct StarMapMenu_SelectedLandingSiteFailed {};
struct StarMapMenu_ShowRealCursor {};
struct StarMapMenu_QuickSelectChange {};
struct StarMapMenu_Galaxy_FocusSystem {};
struct StarMapMenu_OnGalaxyViewInitialized {};
struct StarMapMenu_ExecuteRoute {};
struct StarMapMenu_OnCancel {};
struct StarMapMenu_OnClearRoute {};
struct StarMapMenu_OnExitStarMap {};
struct StarMapMenu_OnHintButtonClicked {};
struct StarMapMenu_OnOutpostEntrySelected {};
struct StarMapMenu_ReadyToClose {};
struct SurfaceMapMenu_MarkerClicked {};
struct SurfaceMapMenu_TryPlaceCustomMarker {};
struct TerminalMenu_CancelEvent {};
struct Terminal_CloseAllViews {};
struct Terminal_CloseTopView {};
struct Terminal_CloseView {};
struct Terminal_MenuItemClick {};
struct TestMenu_DoAction {};
struct TestMenu_ExitMenu {};
struct TestMenu_ShowImages {};
struct TestMenu_ShowResources {};
struct TestMenu_TestAll {};
struct TextInputMenu_EndEditText {};
struct TextInputMenu_InputCanceled {};
struct TextInputMenu_StartEditText {};
struct CraftingMenu_Highlight3D {};
struct CraftingMenu_RevertHighlight {};
struct WorkshopBuilderMenu_ChangeBuildItem {};
struct WorkshopBuilderMenu_SelectedItem {};
struct WorkshopBuilderMenu_ToggleTracking {};
struct WorkshopMenu_AttemptBuild {};
struct WorkshopMenu_CancelAction {};
struct WorkshopMenu_ChangeVariant {};
struct WorkshopMenu_ConnectionEvent {};
struct WorkshopMenu_ExitMenu {};
struct WorkshopMenu_MessageCallback {};
struct WorkshopMenu_SelectedCategory {};
struct WorkshopMenu_SelectedGridObject {};
struct WorkshopMenu_ShowExtras {};
struct WorkshopMenu_SwitchMode {};
struct WorkshopMenu_ToggleDistance {};
struct WorkshopMenu_ToggleTracking {};
struct WorkshopMenu_ToggleView {};
struct WorkshopQuickMenu_ConfirmAction {};
struct WorkshopQuickMenu_ExitMenu {};
struct WorkshopTargetMenu_TargetHovered {};
struct WorkshopTargetMenu_TargetPicked {};
struct WorkshopActionButton_HoldFinished {};
struct WorkshopActionButton_HoldStopped {};
struct WorkshopShared_SetActionHandles {};
struct WorkshopShared_StartAction {};
struct ModelReferenceEffectEvents
{
    struct ReferenceEffectFinished {};
};
struct BGSAcousticSpaceListener
{
    struct StackChangedEvent {};
};
struct SpaceshipBIEvents
{
    struct ShipPowerAllocationBIEventSent {};
};
struct BGSActorDeathEvent {};
struct Research
{
    struct ResearchProgressEvent {};
};
struct PlayerAutoAimActorEvent {};
struct PlayerInCombatChangeEvent {};
struct BlurEvent {};
struct ContainerMenu_HideModel {};
struct ContainerMenu_Jettison {};
struct ContainerMenu_LoadModel {};
struct ContainerMenu_OpenRefuelMenu {};
struct ContainerMenu_SetMouseOverModel {};
struct ContainerMenu_TakeAll {};
struct ContainerMenu_ToggleEquip {};
struct ContainerMenu_TransferItem {};
struct DialogueMenu_OnDialogueSelect {};
struct DialogueMenu_OnListVisibilityChange {};
struct DialogueMenu_OnPersuasionAutoWin {};
struct DialogueMenu_OnScriptedDialogueSelect {};
struct DialogueMenu_RequestExit {};
struct DialogueMenu_RequestSkipDialogue {};
struct FaderMenuDisplayState {};
struct FavoritesMenu_AssignQuickkey {};
struct FavoritesMenu_UseQuickkey {};
struct LoadingMenu_RefreshText {};
struct MainMenu_ActionCanceled {};
struct MainMenu_ActionConfirmed {};
struct MainMenu_ConfirmLoad {};
struct MainMenu_DeleteSave {};
struct MainMenu_SetCharacter {};
struct MainMenu_StartAction {};
struct MainMenu_StartLoad {};
struct MainMenu_UploadSave {};
struct BGSAppPausedEvent {};
struct MessageBoxMenu_OnBackOut {};
struct MessageBoxMenu_OnButtonPress {};
struct MessageBoxMenu_OnScriptedButtonPress {};
struct SleepWaitMenu_InterruptRest {};
struct SleepWaitMenu_StartRest {};

struct ContextStackChangedEvent {};
struct UpdateSceneRectEvent {};
struct GameStalledEvent {};

// more

struct TESCellNavmeshGeneratedEvent {};
struct TESHitEvent {};
struct FirstThirdPersonSwitch
{
    struct Event {};
};
struct PerkChanged
{
    struct Event {};
};
struct TESHarvestEvent
{
    struct ItemHarvested {};
};
struct ActivityEvents
{
    struct ActivityCompletedEvent {};
};
struct ChallengeCompletedEvent
{
    struct Event {};
};
struct InventoryItemEvent
{
    struct Event {};
};
struct BooksRead
{
    struct Event {};
};
struct LocationExplored
{
    struct Event {};
};
struct LocationLinked
{
    struct Event {};
};
struct Activation
{
    struct Event {};
};
struct ActorCellChangeEvent {};
struct ActorHeadAttachedEvent {};
struct ActorValueEvents
{
    struct ActorValueChangedEvent {};
};
struct AliasChangeEvent {};
struct AnimationGraphDependentEvent {};
struct BGSAffinityEventEvent {};
struct BGSCellGridLoadEvent {};
struct BGSEventProcessedEvent {};
struct BGSHavokWorldCreatedEvent {};
struct BGSLocationLoadedEvent {};
struct BGSOnPlayerCompanionDismiss {};
struct BGSOnPlayerCompleteResearchEvent {};
struct BGSOnPlayerCraftItemEvent {};
struct BGSOnPlayerCreateRobotEvent {};
struct BGSOnPlayerEnterVertibirdEvent {};
struct BGSOnPlayerFallLongDistances {};
struct BGSOnPlayerFireWeaponEvent {};
struct BGSOnPlayerHealTeammateEvent {};
struct BGSOnPlayerLoiteringBeginEvent {};
struct BGSOnPlayerLoiteringEndEvent {};
struct BGSOnPlayerModArmorWeaponEvent {};
struct BGSOnPlayerModRobotEvent {};
struct BGSOnPlayerSwimmingEvent {};
struct BGSOnPlayerUseWorkBenchEvent {};
struct BGSOnSpeechChallengeAvailable {};
struct BGSRadiationDamageEvent {};
struct BuilderMenuSelectEvent {};
struct CrewAssignedEvent {};
struct CrewDismissedEvent {};
struct DestroyedEvent {};
struct HomeShipSetEvent {};
struct InstantReferenceInteractionEvent {};
struct ItemConsumedEvent {};
struct ItemSwappedEvent {};
struct LockPickedEvent {};
struct MapMarkerDiscoveredEvent {};
struct ObjectScannedEvent {};
struct PlayerAddItemEvent {};
struct PlayerArrestedEvent {};
struct PlayerAssaultActorEvent {};
struct PlayerBuyShipEvent {};
struct PlayerCrimeGoldEvent {};
struct PlayerFailedPlotRouteEvent {};
struct PlayerJailEvent {};
struct PlayerModifiedShipEvent {};
struct PlayerMurderActorEvent {};
struct PlayerPayFineEvent {};
struct PlayerPlanetSurveyCompleteEvent {};
struct PlayerPlanetSurveyProgressEvent {};
struct PlayerSellShipEvent {};
struct PlayerTrespassEvent {};
struct QuickContainerOpenedEvent {};
struct RefControlChangedEvent {};
struct ReferenceDestroyedEvent {};
struct SpeechChallengeCompletionEvent {};
struct TESActivateEvent {};
struct TESActiveEffectApplyFinishEvent {};
struct TESActiveEffectRemovedEvent {};
struct TESActorActivatedRefEvent {};
struct TESActorLocationChangeEvent {};
struct TESBookReadEvent {};
struct TESCellCriticalRefsAttachedEvent {};
struct TESCellFullyLoadedEvent {};
struct TESCellGravityChangeEvent {};
struct TESCellReadyToApplyDecalsEvent {};
struct TESCellReference3DAttachEvent {};
struct TESCellReferenceAttachDetachEvent {};
struct TESCombatEvent {};
struct TESCombatListEvent {};
struct TESCommandModeCompleteCommandEvent {};
struct TESCommandModeEnterEvent {};
struct TESCommandModeExitEvent {};
struct TESCommandModeGiveCommandEvent {};
struct TESConsciousnessEvent {};
struct TESContainerChangedEvent
{
    u32          sourceContainerFormID;              // 00
    u32          targetContainerFormID;                // 04
    u32          itemFormID;                            // 08
    u32          count;                                // 0C
    //...
};
struct TESDeathEvent {};
struct TESDeferredKillEvent {};
struct TESDestructionStageChangedEvent {};
struct TESEnterBleedoutEvent {};
struct TESEnterSneakingEvent {};
struct TESEquipEvent {};
struct TESEscortWaitStartEvent {};
struct TESEscortWaitStopEvent {};
struct TESExitBleedoutEvent {};
struct TESExitFurnitureEvent {};
struct TESFormDeleteEvent {};
struct TESFormIDRemapEvent {};
struct TESFurnitureEvent {};
struct TESGrabReleaseEvent {};
struct TESInitScriptEvent {};
struct TESLimbCrippleEvent {};
struct TESLoadGameEvent {};
struct TESLocationExploredEvent {};
struct TESLockChangedEvent {};
struct TESMagicEffectApplyEvent {};
struct TESMissionAcceptedEvent {};
struct TESObjectLoadedEvent {};
struct TESObjectREFRTranslationEvent {};
struct TESOnPCDialogueTargetEvent {};
struct TESOpenCloseEvent {};
struct TESPackageEvent {};
struct TESPerkEntryRunEvent {};
struct TESPickNewIdleEvent {};
struct TESPickpocketFailedEvent {};
struct TESPlayerActiveEffectEvent {};
struct TESPlayerFollowerWarpEvent {};
struct TESQuestInitEvent {};
struct TESQuestRejectedEvent {};
struct TESQuestStageEvent {};
struct TESQuestStageItemDoneEvent {};
struct TESQuestStartStopEvent {};
struct TESQuestTimerEvent {};
struct TESResetEvent {};
struct TESResolveNPCTemplatesEvent {};
struct TESSceneActionEvent {};
struct TESSceneEvent {};
struct TESScenePhaseEvent {};
struct TESSellEvent {};
struct TESSleepStartEvent {};
struct TESSleepStopEvent {};
struct TESSpellCastEvent {};
struct TESSpellCastFailureEvent {};
struct TESSwitchRaceCompleteEvent {};
struct TESTopicInfoEvent {};
struct TESTrackedStatsEvent {};
struct TESTrapHitEvent {};
struct TESTriggerEnterEvent {};
struct TESTriggerEvent {};
struct TESTriggerLeaveEvent {};
struct TESUniqueIDChangeEvent {};
struct TESWaitStartEvent {};
struct TESWaitStopEvent {};
struct TerminalMenuMenuItemRunEvent {};
struct TerminalMenuOnEnterEvent {};
struct WorkshopNPCTransferEvent {};
struct TESObjectREFRIsReadyForAttachEvent {};
struct DefaultObjectsReadyEvent
{
    struct Event {};
};
struct ObjectiveState
{
    struct Event {};
};
struct QuestStatus
{
    struct Event {};
};
struct RefillAliasEvent
{
    struct Event {};
};
struct TESQuestEvent
{
    struct Event {};
};
struct RolloverIsCrimeEvent
{
    struct Event {};
};
struct HideSubtitleEvent
{
    struct Event {};
};
struct ShowSubtitleEvent
{
    struct Event {};
};
struct MissionMenuStateEvent
{
    struct Event {};
};
struct ClearShipHudTarget
{
    struct Event {};
};
struct TryUpdateShipHudTarget
{
    struct Event {};
};
struct LocationTextEvent
{
    struct Event {};
};
struct TraitDiscoveryTextEvent
{
    struct Event {};
};
struct DaysPassed
{
    struct Event {};
};
struct HourPassed
{
    struct Event {};
};
struct ActorDamage
{
    struct Event {};
};
struct ActorItemEquipped
{
    struct Event {};
};
struct ActorKill
{
    struct Event {};
};
struct AssaultCrime
{
    struct Event {};
};
struct DisarmedEvent
{
    struct Event {};
};
struct FactionRankChange
{
    struct Event {};
};
struct GrandTheftHorse
{
    struct Event {};
};
struct MurderCrime
{
    struct Event {};
};
struct PiracyCrime
{
    struct Event {};
};
struct Bleedout
{
    struct Event {};
};
struct ContractedDisease
{
    struct Event {};
};
struct ReloadWeaponEvent
{
    struct Event {};
};
struct SpellsLearned
{
    struct Event {};
};
struct Bounty
{
    struct Event {};
};
struct ChestLooted
{
    struct Event {};
};
struct CriticalHitEvent
{
    struct Event {};
};
struct CustomMarkerUpdate
{
    struct Event {};
};
struct DaysJailed
{
    struct Event {};
};
struct EnteredUnity
{
    struct Event {};
};
struct FinePaid
{
    struct Event {};
};
struct ItemCrafted
{
    struct Event {};
};
struct ItemSteal
{
    struct Event {};
};
struct JailEscape
{
    struct Event {};
};
struct Jailing
{
    struct Event {};
};
struct LevelIncrease
{
    struct Event {};
};
struct LocationMarkerArrayUpdate
{
    struct Event {};
};
struct PlayerActiveEffectChanged
{
    struct Event {};
};
struct PlayerAmmoChanged
{
    struct Event {};
};
struct PlayerCharacterQuestEvent
{
    struct Event {};
};
struct PlayerDifficultySettingChanged
{
    struct Event {};
};
struct PlayerFastTravel
{
    struct Event {};
};
struct PlayerInDialogueChanged
{
    struct Event {};
};
struct PlayerLifeStateChanged
{
    struct Event {};
};
struct PlayerPickpocketSuccess
{
    struct Event {};
};
struct PoisonedWeapon
{
    struct Event {};
};
struct TerminalHacked
{
    struct Event {};
};
struct TravelMarkerStateChange
{
    struct Event {};
};
struct WeaponAttack
{
    struct Event {};
};
struct Trespass
{
    struct Event {};
};
struct VATSEvents
{
    struct ModeChange {};
};
struct VATSCommand {};
struct HoursPassed
{
    struct Event {};
};

// UI events

struct MenuOpenCloseEvent
{
    BSFixedString	MenuName;
    bool			bOpening;
};
struct MenuModeChangeEvent {};
struct MenuPauseChangeEvent {};
struct MenuPauseCounterChangeEvent {};
struct TutorialEvent {};
struct BSCursorTypeChange {};
struct BSCursorRotationChange {};
struct BIUIMenuVisiblePausedBeginEvent {};
struct BIUIMenuVisiblePausedEndEvent {};

// other events

struct RadioManager
{
    struct PipboyTransmitterDetectionEvent {};
};
struct XPChange
{
    struct Event
    {
        Actor* actor;
        void* unk08;
        float totalXP;
        float recievedXP;
        //...
    };
};
struct WeaponFiredEvent
{
    void* unk00;
    void* unk08;
    Actor* actor;
    //...
};
struct ActorEquipManagerEvent
{
    struct Event {};
    struct SpellEvent {};
};
struct AttachReference
{
    struct Event {};
};
//

namespace BSTEventDetail
{
    class SinkBase
    {
    public:
        virtual ~SinkBase() {};
    };

    class SourceBase
    {
    public:
        virtual ~SourceBase() {};
        DEFINE_MEMBER_FN_1(RegisterSink, void, 0x005BCF6C, SinkBase* sink);
        DEFINE_MEMBER_FN_1(UnregisterSink, void, 0x005BCD80, SinkBase* sink);
    };
}

enum class BSEventNotifyControl
{
    kContinue,
    kStop
};
using EventResult = BSEventNotifyControl;

template <typename T>
class BSTEventSource;

template <typename T>
class BSTEventSink : public BSTEventDetail::SinkBase
{
public:
    virtual ~BSTEventSink() { };
    virtual	EventResult	ProcessEvent(const T& arEvent, BSTEventSource<T>* eventSource) { return EventResult::kContinue; }; // pure
};

template<typename T>
class BSTEventSource : public BSTEventDetail::SourceBase
{
public:
    virtual ~BSTEventSource();

    BSTArray<BSTEventSink<T>> pSinksA;
    u32 unk18;
    u32 unk1C;
    u32 unk20;
    u32 unk24;
};

class BSTGlobalEvent
{
public:
    virtual ~BSTGlobalEvent();

    template <typename T>
    class EventSource : public BSTEventSource<T>
    {
    public:
        virtual ~EventSource();
        virtual EventResult ProcessEvent(const T& arEvent, BSTEventSource<T>* eventSource);
    };
};

template <class T>
class BSTValueEventSink :
    public BSTEventSink<T>  // 00
{
};

template <class T>
class BSTValueRequestEvent
{
};

template<typename EventT>
BSTEventSource<EventT>* GetEventSource() { };

#define DECLARE_EVENT_SOURCE(Event, address) \
template<> inline BSTEventSource<Event> * GetEventSource() \
{ \
    typedef BSTEventSource<Event> * (*_GetEventSource)(); \
    RelocAddr<_GetEventSource> GetEventSource(address); \
    return GetEventSource(); \
}

#define DECLARE_EVENT_SOURCE_EX(Event, address) \
template<> inline BSTEventSource<Event> * GetEventSource() \
{ \
RelocPtr<BSTEventSource<Event>> es(address); \
return es.getPtr(); \
}

// BSTGlobalEvent

DECLARE_EVENT_SOURCE(SnapTemplateUtils::SnapReplaceEvent, 0x0083E3DC)
DECLARE_EVENT_SOURCE(ImageFixtureEvent_RequestImage, 0x0083F694)
DECLARE_EVENT_SOURCE(ImageFixtureEvent_UnregisterImage, 0x00842590)
DECLARE_EVENT_SOURCE(Spaceship::TakeOffEvent, 0x00845438)
DECLARE_EVENT_SOURCE(HUDActivityIncreaseEvent, 0x012862F0)
DECLARE_EVENT_SOURCE(AnimationDataCleanupEvent, 0x012A755C)
DECLARE_EVENT_SOURCE(AnimationDataSetupEvent, 0x012A75EC)
DECLARE_EVENT_SOURCE(EndLoadGameEvent, 0x012F5E44)
DECLARE_EVENT_SOURCE(StartLoadGameEvent, 0x012F5ED4)
DECLARE_EVENT_SOURCE(ShipEditor_SystemSelected, 0x0130C95C)
DECLARE_EVENT_SOURCE(ShipEditor_PreviewUpgrade, 0x01313020)
DECLARE_EVENT_SOURCE(ShipEditor_SelectedUpgrade, 0x013130B0)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::ReferenceAttach, 0x01351020)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::ReferenceDetach, 0x013510B0)
DECLARE_EVENT_SOURCE(WeaponGroupAssignmentMenu_ChangeWeaponAssignment, 0x013D68F4)
DECLARE_EVENT_SOURCE(WeaponGroupAssignmentMenu_OnHintButtonActivated, 0x013D6984)
DECLARE_EVENT_SOURCE(ShipEditor_OnExitConfirmCancel, 0x013F7094)
DECLARE_EVENT_SOURCE(ShipEditor_OnExitConfirmExit, 0x013F7124)
DECLARE_EVENT_SOURCE(ShipEditor_OnExitConfirmSaveAndExit, 0x013F71B4)
DECLARE_EVENT_SOURCE(ShipEditor_OnFlightCheckTabChanged, 0x013FBC54)
DECLARE_EVENT_SOURCE(ShipEditor_OnWeaponGroupChanged, 0x013FBCE4)
DECLARE_EVENT_SOURCE(ShipEditor_OnRenameEndEditText, 0x01401620)
DECLARE_EVENT_SOURCE(ShipEditor_OnRenameInputCancelled, 0x014016B0)
DECLARE_EVENT_SOURCE(ShipEditor_ChangeModuleCategory, 0x01405D9C)
DECLARE_EVENT_SOURCE(ShipEditor_PreviewShipPart, 0x01405E2C)
DECLARE_EVENT_SOURCE(ShipEditor_SelectedShipPart, 0x01405EBC)
DECLARE_EVENT_SOURCE(ShipEditor_OnColorPickerControlChanged, 0x0140EDC0)
DECLARE_EVENT_SOURCE(ShipEditor_OnColorPickerTabChanged, 0x0140EE50)
DECLARE_EVENT_SOURCE(ShipEditor_OnColorSliderMouseInput, 0x0140EEE0)
DECLARE_EVENT_SOURCE(ShipEditor_OnRecentColorSwatchClicked, 0x0140EF70)
DECLARE_EVENT_SOURCE(ShipBuilder_CloseAllMenus, 0x014319D4)
DECLARE_EVENT_SOURCE(ShipEditor_OnHintButtonActivated, 0x01431A64)
DECLARE_EVENT_SOURCE(ShipEditor_RemoveAll3D, 0x01431AF4)
DECLARE_EVENT_SOURCE(ReferenceQueuedEvent, 0x014998C8)
DECLARE_EVENT_SOURCE(LoadScreenEndEvent, 0x014B26C0)
DECLARE_EVENT_SOURCE(LoadScreenStartEvent, 0x014B2750)
DECLARE_EVENT_SOURCE(CellAttachDetachEvent, 0x014B27E0)
DECLARE_EVENT_SOURCE(PickRefStateChangedEvent, 0x01524638)
DECLARE_EVENT_SOURCE(ActivityTrackerActivityStartedEvent, 0x0152ED98)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::ReferenceCleared3d, 0x015BA370)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::ReferenceDestroy, 0x015BA400)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::ReferenceInit, 0x015BA490)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::ReferenceRecycle, 0x015BA520)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::ReferenceSet3d, 0x015BA5B0)
DECLARE_EVENT_SOURCE(RuntimeComponentDBFactory::Release3DRelatedData, 0x015BA640)
DECLARE_EVENT_SOURCE(BSWorldOriginShiftEvent, 0x015C6B0C)
DECLARE_EVENT_SOURCE(BGSPlanet::PlayerKnowledgeFlagSetEvent, 0x016F035C)
DECLARE_EVENT_SOURCE(StarMap::PlanetTraitKnownEvent, 0x016F03EC)
DECLARE_EVENT_SOURCE(ResetHistoryDataEvent, 0x017C4E98)
DECLARE_EVENT_SOURCE(TESQuestRewardEvent, 0x017DF1E8)
DECLARE_EVENT_SOURCE(HUDWeaponWorldFOVMultChangedEvent, 0x017E13FC)
DECLARE_EVENT_SOURCE(BGSSceneActionPlayerDialogue::ActionEndEvent, 0x018BC000)
DECLARE_EVENT_SOURCE(BGSSceneActionPlayerDialogue::ActionStartEvent, 0x018BC090)
DECLARE_EVENT_SOURCE(AutoLoadDoorRolloverEvent, 0x0196C04C)
DECLARE_EVENT_SOURCE(ClearQuickContainerEvent, 0x0196C0DC)
DECLARE_EVENT_SOURCE(ReferenceCellLoadedTemps, 0x019E3EEC)
DECLARE_EVENT_SOURCE(Workshop::CargoLinkAddedEvent, 0x01D6330C)
DECLARE_EVENT_SOURCE(Workshop::CargoLinkTargetChangedEvent, 0x01D6339C)
DECLARE_EVENT_SOURCE(Workshop::EnterOutpostBeaconModeEvent, 0x01D6342C)
DECLARE_EVENT_SOURCE(Workshop::ItemGrabbedEvent, 0x01D634BC)
DECLARE_EVENT_SOURCE(Workshop::ItemMovedEvent, 0x01D6354C)
DECLARE_EVENT_SOURCE(Workshop::ItemPlacedEvent, 0x01D635DC)
DECLARE_EVENT_SOURCE(Workshop::ItemProducedEvent, 0x01D6366C)
DECLARE_EVENT_SOURCE(Workshop::ItemRemovedEvent, 0x01D636FC)
DECLARE_EVENT_SOURCE(Workshop::ItemRepairedEvent, 0x01D6378C)
DECLARE_EVENT_SOURCE(Workshop::ItemScrappedEvent, 0x01D6381C)
DECLARE_EVENT_SOURCE(Workshop::OutpostNameChangedEvent, 0x01D638AC)
DECLARE_EVENT_SOURCE(Workshop::OutpostPlacedEvent, 0x01D6393C)
DECLARE_EVENT_SOURCE(PickRefUpdateEvent, 0x01D639CC)
DECLARE_EVENT_SOURCE(Workshop::PlacementStatusEvent, 0x01D63A5C)
DECLARE_EVENT_SOURCE(Workshop::PowerOffEvent, 0x01D63AEC)
DECLARE_EVENT_SOURCE(Workshop::PowerOnEvent, 0x01D63B7C)
DECLARE_EVENT_SOURCE(Workshop::SnapBehaviorCycledEvent, 0x01D63C0C)
DECLARE_EVENT_SOURCE(Workshop::WorkshopFlyCameraEvent, 0x01D63C9C)
DECLARE_EVENT_SOURCE(Workshop::WorkshopItemPlacedEvent, 0x01D63D2C)
DECLARE_EVENT_SOURCE(Workshop::WorkshopModeEvent, 0x01D63DBC)
DECLARE_EVENT_SOURCE(Workshop::WorkshopOutputLinkEvent, 0x01D63E4C)
DECLARE_EVENT_SOURCE(Workshop::WorkshopStatsChangedEvent, 0x01D63EDC)
DECLARE_EVENT_SOURCE(Workshop::WorkshopUpdateStatsEvent, 0x01D63F6C)
DECLARE_EVENT_SOURCE(ShipCameraStateToggled, 0x01DB7814)
DECLARE_EVENT_SOURCE(PlayerControls::PlayerJumpPressEvent, 0x01F85DE4)
DECLARE_EVENT_SOURCE(PlayerControls::PlayerJumpReleaseEvent, 0x01F85E74)
DECLARE_EVENT_SOURCE(PlayerSneakingChangeEvent, 0x01F875EC)
DECLARE_EVENT_SOURCE(PlayerControls::PlayerZeroGSprintJustPressedEvent, 0x01F87828)
DECLARE_EVENT_SOURCE(PlayerControls::PlayerZeroGSprintReleasedEvent, 0x01F878B8)
DECLARE_EVENT_SOURCE(PlayerControls::PlayerIronSightsEndEvent, 0x01F8AA3C)
DECLARE_EVENT_SOURCE(PlayerControls::PlayerIronSightsStartEvent, 0x01F8AACC)
DECLARE_EVENT_SOURCE(SaveLoadEvent, 0x01FB9E1C)
DECLARE_EVENT_SOURCE(SpaceshipWeaponBinding::SpaceshipWeaponBindingChangedEvent, 0x01FE3EF8)
DECLARE_EVENT_SOURCE(BoundaryMenu_FastTravel, 0x01FFCEA8)
DECLARE_EVENT_SOURCE(BoundaryMenu_ShowMap, 0x01FFCF38)
DECLARE_EVENT_SOURCE(PhotoGallery_DeletePhoto, 0x02005C54)
DECLARE_EVENT_SOURCE(PowersMenu_ActivateEssence, 0x02009130)
DECLARE_EVENT_SOURCE(PowersMenu_EquipPower, 0x020091C0)
DECLARE_EVENT_SOURCE(PowersMenu_FavoritePower, 0x02009250)
DECLARE_EVENT_SOURCE(ContainerMenuClosed::Event, 0x0201C73C)
DECLARE_EVENT_SOURCE(HangarShipSelection_ChangeSystemDisplay, 0x0201C7CC)
DECLARE_EVENT_SOURCE(HangarShipSelection_RepairShip, 0x0201C85C)
DECLARE_EVENT_SOURCE(HangarShipSelection_UpgradeSystem, 0x0201C8EC)
DECLARE_EVENT_SOURCE(ShipCrewMenu_Close, 0x0201C97C)
DECLARE_EVENT_SOURCE(BinkMovieStoppedPlayingEvent, 0x020219E0)
DECLARE_EVENT_SOURCE(WorkshopColorMode_ApplyColors, 0x02049F9C)
DECLARE_EVENT_SOURCE(WorkshopColorMode_SelectedTab, 0x0204A02C)
DECLARE_EVENT_SOURCE(WorkshopColorMode_SliderChanged, 0x0204A0BC)
DECLARE_EVENT_SOURCE(WorkshopColorMode_SwatchChanged, 0x0204A14C)
DECLARE_EVENT_SOURCE(HUDCrewBuffMessageEvent, 0x0204B2EC)
DECLARE_EVENT_SOURCE(CraftingMenu_SessionSummaryEvent, 0x02054388)
DECLARE_EVENT_SOURCE(CraftingMenu_CraftItem, 0x02054418)
DECLARE_EVENT_SOURCE(CraftingMenu_ExitBench, 0x020544A8)
DECLARE_EVENT_SOURCE(CraftingMenu_InstallMod, 0x02054538)
DECLARE_EVENT_SOURCE(CraftingMenu_RenameItem, 0x020545C8)
DECLARE_EVENT_SOURCE(CraftingMenu_RevertedModdedItem, 0x02054658)
DECLARE_EVENT_SOURCE(CraftingMenu_SelectedMod, 0x020546E8)
DECLARE_EVENT_SOURCE(CraftingMenu_SelectedModSlot, 0x02054778)
DECLARE_EVENT_SOURCE(CraftingMenu_SelectedModdableItem, 0x02054808)
DECLARE_EVENT_SOURCE(CraftingMenu_SelectedRecipe, 0x02054898)
DECLARE_EVENT_SOURCE(CraftingMenu_SetInspectControls, 0x02054928)
DECLARE_EVENT_SOURCE(CraftingMenu_ToggleTracking, 0x020549B8)
DECLARE_EVENT_SOURCE(CraftingMenu_ViewingModdableItem, 0x02054A48)
DECLARE_EVENT_SOURCE(ContainerMenu_CloseMenu, 0x02062EFC)
DECLARE_EVENT_SOURCE(InventoryMenu_Change3DView, 0x0206302C)
DECLARE_EVENT_SOURCE(InventoryMenu_PaperDollTryOn, 0x020630BC)
DECLARE_EVENT_SOURCE(InventoryMenu_ResetPaperDollInv, 0x0206314C)
DECLARE_EVENT_SOURCE(UpdateActivateListenerEvent, 0x0206B2C8)
DECLARE_EVENT_SOURCE(StartOutpostFromListenerEvent, 0x0206CF88)
DECLARE_EVENT_SOURCE(HUDModeEvent, 0x0207D184)
DECLARE_EVENT_SOURCE(OpenContainerMenuEventData, 0x0207D214)
DECLARE_EVENT_SOURCE(OpenContainerMenuFromListenerEvent, 0x0207D2A4)
DECLARE_EVENT_SOURCE(HUDRolloverActivationButtonEvent, 0x0207D334)
DECLARE_EVENT_SOURCE(HUDRolloverActivationQCItemPressEvent, 0x0207D3C4)
DECLARE_EVENT_SOURCE(Inventory_SetSort, 0x0207D454)
DECLARE_EVENT_SOURCE(ShowingQuestMarketTextEvent, 0x0208B2C8)
DECLARE_EVENT_SOURCE(TargetHitEvent, 0x0208D8B8)
DECLARE_EVENT_SOURCE(BSTValueRequestEvent<PlayerCrosshairModeEvent>, 0x0208D948)
DECLARE_EVENT_SOURCE(ClearHUDMessagesEvent, 0x02094D34)
DECLARE_EVENT_SOURCE(ShowHUDMessageEvent, 0x02094DC4)
DECLARE_EVENT_SOURCE(PlayerDetectionLevelChangeEvent, 0x02097F24)
DECLARE_EVENT_SOURCE(ShowCustomWatchAlert, 0x0209D02C)
DECLARE_EVENT_SOURCE(PlayerUpdateEvent, 0x020D00AC)
DECLARE_EVENT_SOURCE(InventoryMenu_ToggleHelmet, 0x020D013C)
DECLARE_EVENT_SOURCE(InventoryMenu_ToggleSuit, 0x020D01CC)
DECLARE_EVENT_SOURCE(ControlsRemappedEvent, 0x02114578)
DECLARE_EVENT_SOURCE(SettingsPanel_CheckBoxChanged, 0x02114608)
DECLARE_EVENT_SOURCE(SettingsPanel_ClearBinding, 0x02114698)
DECLARE_EVENT_SOURCE(SettingsPanel_OpenCategory, 0x021147CC)
DECLARE_EVENT_SOURCE(SettingsPanel_OpenSettings, 0x0211485C)
DECLARE_EVENT_SOURCE(SettingsPanel_RemapConfirmed, 0x021148EC)
DECLARE_EVENT_SOURCE(SettingsPanel_RemapMode, 0x0211497C)
DECLARE_EVENT_SOURCE(SettingsPanel_ResetToDefaults, 0x02114A0C)
DECLARE_EVENT_SOURCE(SettingsPanel_SaveControls, 0x02114A9C)
DECLARE_EVENT_SOURCE(SettingsPanel_SaveSettings, 0x02114B2C)
DECLARE_EVENT_SOURCE(SettingsPanel_SliderChanged, 0x02114BBC)
DECLARE_EVENT_SOURCE(SettingsPanel_StepperChanged, 0x02114C4C)
DECLARE_EVENT_SOURCE(SettingsPanel_ValidateControls, 0x02114CDC)
DECLARE_EVENT_SOURCE(ShipCrewMenu_OpenAssignMenu, 0x0211EE08)
DECLARE_EVENT_SOURCE(ShipCrewMenu_SetSort, 0x0211EE98)
DECLARE_EVENT_SOURCE(Spaceship::PlayerMovementOutputEvent, 0x02145008)
DECLARE_EVENT_SOURCE(ShowLongShipBootup, 0x02145098)
DECLARE_EVENT_SOURCE(ShipHudQuickContainer_TransferMenu, 0x02145128)
DECLARE_EVENT_SOURCE(ShipHud_Activate, 0x021451B8)
DECLARE_EVENT_SOURCE(ShipHud_BodyViewMarkerDimensions, 0x02145248)
DECLARE_EVENT_SOURCE(ShipHud_ChangeComponentSelection, 0x021452D8)
DECLARE_EVENT_SOURCE(ShipHud_CloseMenu, 0x02145368)
DECLARE_EVENT_SOURCE(ShipHud_Deselect, 0x021453F8)
DECLARE_EVENT_SOURCE(ShipHud_FarTravel, 0x02145488)
DECLARE_EVENT_SOURCE(ShipHud_HailAccepted, 0x02145518)
DECLARE_EVENT_SOURCE(ShipHud_HailCancelled, 0x021455A8)
DECLARE_EVENT_SOURCE(ShipHud_JumpToQuestMarker, 0x02145638)
DECLARE_EVENT_SOURCE(ShipHud_Land, 0x021456C8)
DECLARE_EVENT_SOURCE(ShipHud_LandingMarkerMap, 0x02145758)
DECLARE_EVENT_SOURCE(ShipHud_Map, 0x021457E8)
DECLARE_EVENT_SOURCE(ShipHud_OnMonocleToggle, 0x02145878)
DECLARE_EVENT_SOURCE(ShipHud_OpenPhotoMode, 0x02145908)
DECLARE_EVENT_SOURCE(ShipHud_Repair, 0x02145998)
DECLARE_EVENT_SOURCE(ShipHud_SetTargetMode, 0x02145A28)
DECLARE_EVENT_SOURCE(ShipHud_Target, 0x02145AB8)
DECLARE_EVENT_SOURCE(ShipHud_TargetShipSystem, 0x02145B48)
DECLARE_EVENT_SOURCE(ShipHud_UntargetShipSystem, 0x02145BD8)
DECLARE_EVENT_SOURCE(ShipHud_UpdateComponentPower, 0x02145C68)
DECLARE_EVENT_SOURCE(DialogueMenu_CompleteExit, 0x021714AC)
DECLARE_EVENT_SOURCE(BGSScannerGuideEffectStatusUpdateEvent, 0x02181620)
DECLARE_EVENT_SOURCE(GlobalFunc_CloseAllMenus, 0x021865E8)
DECLARE_EVENT_SOURCE(GlobalFunc_CloseMenu, 0x02186678)
DECLARE_EVENT_SOURCE(GlobalFunc_PlayMenuSound, 0x02186708)
DECLARE_EVENT_SOURCE(GlobalFunc_StartGameRender, 0x02186798)
DECLARE_EVENT_SOURCE(GlobalFunc_UserEvent, 0x02186828)
DECLARE_EVENT_SOURCE(ExperienceMeterDisplayData, 0x02190188)
DECLARE_EVENT_SOURCE(LevelUp_AnimFinished, 0x02190218)
DECLARE_EVENT_SOURCE(LevelUp_OnWidgetShown, 0x021902A8)
DECLARE_EVENT_SOURCE(LevelUp_OpenDataMenu, 0x02190338)
DECLARE_EVENT_SOURCE(LevelUp_ShowSkills, 0x021903C8)
DECLARE_EVENT_SOURCE(LocationTextWidget_FinishedQueue, 0x02190458)
DECLARE_EVENT_SOURCE(DisplayFatigueWarningEvent, 0x02190700)
DECLARE_EVENT_SOURCE(BSTValueRequestEvent<SaveLoadMessageStringEvent>, 0x0219416C)
DECLARE_EVENT_SOURCE(PlayerCrosshairModeEvent, 0x0208CFC0)
DECLARE_EVENT_SOURCE(HUDNotificationEvent, 0x0219D3C8)
DECLARE_EVENT_SOURCE(HUDNotification_MissionActiveWidgetUpdate, 0x0219D458)
DECLARE_EVENT_SOURCE(HUDNotification_OpenDataMenu, 0x0219D4E8)
DECLARE_EVENT_SOURCE(HUDNotification_OpenMissionMenu, 0x0219D578)
DECLARE_EVENT_SOURCE(HUDNotification_SetMissionActive, 0x0219D608)
DECLARE_EVENT_SOURCE(PlayerSetWeaponStateEvent, 0x0219F1E8)
DECLARE_EVENT_SOURCE(BarterMenu_BuyItem, 0x021B2268)
DECLARE_EVENT_SOURCE(BarterMenu_CloseMenu, 0x021B22F8)
DECLARE_EVENT_SOURCE(BarterMenu_HideModel, 0x021B2388)
DECLARE_EVENT_SOURCE(BarterMenu_LoadModel, 0x021B2418)
DECLARE_EVENT_SOURCE(BarterMenu_SellItem, 0x021B24A8)
DECLARE_EVENT_SOURCE(BarterMenu_SetMouseOverModel, 0x021B2538)
DECLARE_EVENT_SOURCE(BarterMenu_ShowFailureMessage, 0x021B25C8)
DECLARE_EVENT_SOURCE(BarterMenu_ViewedItem, 0x021B2658)
DECLARE_EVENT_SOURCE(MissionMenu_ClearState, 0x021B6C60)
DECLARE_EVENT_SOURCE(MissionMenu_PlotToLocation, 0x021B6CF0)
DECLARE_EVENT_SOURCE(MissionMenu_RejectQuest, 0x021B6D80)
DECLARE_EVENT_SOURCE(MissionMenu_SaveCategoryIndex, 0x021B6E10)
DECLARE_EVENT_SOURCE(MissionMenu_SaveOpenedId, 0x021B6EA0)
DECLARE_EVENT_SOURCE(MissionMenu_ShowItemLocation, 0x021B6F30)
DECLARE_EVENT_SOURCE(MissionMenu_ToggleTrackingQuest, 0x021B705C)
DECLARE_EVENT_SOURCE(DataSlateButtons_acceptClicked, 0x021BC780)
DECLARE_EVENT_SOURCE(DataSlateButtons_cancelClicked, 0x021BC810)
DECLARE_EVENT_SOURCE(DataSlateMenu_playSFX, 0x021BC8A0)
DECLARE_EVENT_SOURCE(DataSlateMenu_toggleAudio, 0x021BC930)
DECLARE_EVENT_SOURCE(InventoryMenu_DropItem, 0x021C3044)
DECLARE_EVENT_SOURCE(InventoryMenu_HideModel, 0x021C30D4)
DECLARE_EVENT_SOURCE(InventoryMenu_LoadModel, 0x021C3164)
DECLARE_EVENT_SOURCE(InventoryMenu_OnEnterCategory, 0x021C31F4)
DECLARE_EVENT_SOURCE(InventoryMenu_OpenCargoHold, 0x021C3284)
DECLARE_EVENT_SOURCE(InventoryMenu_SelectItem, 0x021C3314)
DECLARE_EVENT_SOURCE(InventoryMenu_SetMouseOverModel, 0x021C33A4)
DECLARE_EVENT_SOURCE(InventoryMenu_ToggleFavorite, 0x021C34DC)
DECLARE_EVENT_SOURCE(MissionBoard_MissionEntryChanged, 0x021CF998)
DECLARE_EVENT_SOURCE(MissionBoard_MissionEntryPressed, 0x021CFA28)
DECLARE_EVENT_SOURCE(MonocleMenu_Bioscan, 0x021D6D1C)
DECLARE_EVENT_SOURCE(MonocleMenu_FastTravel, 0x021D6DAC)
DECLARE_EVENT_SOURCE(MonocleMenu_Harvest, 0x021D6E3C)
DECLARE_EVENT_SOURCE(MonocleMenu_Initialize, 0x021D6ECC)
DECLARE_EVENT_SOURCE(MonocleMenu_Outpost, 0x021D6F5C)
DECLARE_EVENT_SOURCE(MonocleMenu_PhotoMode, 0x021D6FEC)
DECLARE_EVENT_SOURCE(MonocleMenu_Shutdown, 0x021D707C)
DECLARE_EVENT_SOURCE(MonocleMenu_SocialSpell, 0x021D710C)
DECLARE_EVENT_SOURCE(MonocleMenu_StartContainerView, 0x021D719C)
DECLARE_EVENT_SOURCE(MonocleMenu_StopContainerView, 0x021D722C)
DECLARE_EVENT_SOURCE(MonocleMenu_SurfaceMap, 0x021D72BC)
DECLARE_EVENT_SOURCE(MonocleMenu_UseListScrollControls, 0x021D734C)
DECLARE_EVENT_SOURCE(MonocleMenu_ZoomIn, 0x021D73DC)
DECLARE_EVENT_SOURCE(MonocleMenu_ZoomOut, 0x021D746C)
DECLARE_EVENT_SOURCE(PhotoMode_InitializeCategory, 0x021DBE20)
DECLARE_EVENT_SOURCE(PhotoMode_ResetToDefaults, 0x021DBEB0)
DECLARE_EVENT_SOURCE(PhotoMode_SliderChanged, 0x021DBF40)
DECLARE_EVENT_SOURCE(PhotoMode_StepperChanged, 0x021DBFD0)
DECLARE_EVENT_SOURCE(PhotoMode_TakeSnapshot, 0x021DC060)
DECLARE_EVENT_SOURCE(PhotoMode_ToggleHelmet, 0x021DC0F0)
DECLARE_EVENT_SOURCE(PhotoMode_ToggleUI, 0x021DC180)
DECLARE_EVENT_SOURCE(PickpocketMenu_OnItemSelect, 0x021E4634)
DECLARE_EVENT_SOURCE(ResearchMenu_AddMaterial, 0x021E9A68)
DECLARE_EVENT_SOURCE(ResearchMenu_CategorySelected, 0x021E9AF8)
DECLARE_EVENT_SOURCE(ResearchMenu_ExitMenu, 0x021E9B88)
DECLARE_EVENT_SOURCE(ResearchMenu_HideModel, 0x021E9C18)
DECLARE_EVENT_SOURCE(ResearchMenu_PreviewProject, 0x021E9CA8)
DECLARE_EVENT_SOURCE(ResearchMenu_ProjectViewed, 0x021E9D38)
DECLARE_EVENT_SOURCE(ResearchMenu_SetInspectControls, 0x021E9DC8)
DECLARE_EVENT_SOURCE(ResearchMenu_ToggleTrackingProject, 0x021E9E58)
DECLARE_EVENT_SOURCE(UnlockedTerminalElementEvent, 0x021FB914)
DECLARE_EVENT_SOURCE(SecurityMenu_BackOutKey, 0x021FB9A4)
DECLARE_EVENT_SOURCE(SecurityMenu_CloseMenu, 0x021FBA34)
DECLARE_EVENT_SOURCE(SecurityMenu_ConfirmExit, 0x021FBAC4)
DECLARE_EVENT_SOURCE(SecurityMenu_EliminateUnusedKeys, 0x021FBB54)
DECLARE_EVENT_SOURCE(SecurityMenu_GetRingHint, 0x021FBBE4)
DECLARE_EVENT_SOURCE(SecurityMenu_SelectNewKey, 0x021FBC74)
DECLARE_EVENT_SOURCE(SecurityMenu_TryUseKey, 0x021FBD04)
DECLARE_EVENT_SOURCE(ShipCrewAssignMenu_Assign, 0x021FFCD4)
DECLARE_EVENT_SOURCE(ShipCrewAssignMenu_Unassign, 0x021FFD64)
DECLARE_EVENT_SOURCE(ShipCrewMenu_ViewedItem, 0x021FFDF4)
DECLARE_EVENT_SOURCE(Refuel_Accept, 0x02201C94)
DECLARE_EVENT_SOURCE(Refuel_Cancel, 0x02201D24)
DECLARE_EVENT_SOURCE(SkillsMenu_Accept, 0x0220876C)
DECLARE_EVENT_SOURCE(SkillsMenu_AddPatch, 0x022087FC)
DECLARE_EVENT_SOURCE(SkillsMenu_Cancel, 0x0220888C)
DECLARE_EVENT_SOURCE(SkillsMenu_ChangeCursorVisibility, 0x0220891C)
DECLARE_EVENT_SOURCE(SkillsMenu_SaveLastCategory, 0x022089AC)
DECLARE_EVENT_SOURCE(BSChargenAPI::BIDataUtils::MenuClosedEvent, 0x0222D324)
DECLARE_EVENT_SOURCE(BSChargenAPI::BIDataUtils::PresetNPCChangedEvent, 0x0222D3B4)
DECLARE_EVENT_SOURCE(CharGen_BrowChange, 0x0222D444)
DECLARE_EVENT_SOURCE(CharGen_BrowColorChange, 0x0222D4D4)
DECLARE_EVENT_SOURCE(CharGen_CancelTextEntry, 0x0222D564)
DECLARE_EVENT_SOURCE(CharGen_CloseMenu, 0x0222D5F4)
DECLARE_EVENT_SOURCE(CharGen_CyclePronoun, 0x0222D684)
DECLARE_EVENT_SOURCE(CharGen_DirtScarsEtcChange, 0x0222D714)
DECLARE_EVENT_SOURCE(CharGen_EndBodyChange, 0x0222D7A4)
DECLARE_EVENT_SOURCE(CharGen_EndTextEntry, 0x0222D834)
DECLARE_EVENT_SOURCE(CharGen_EyeColorChange, 0x0222D8C4)
DECLARE_EVENT_SOURCE(CharGen_FacialHairChange, 0x0222D954)
DECLARE_EVENT_SOURCE(CharGen_FacialHairColorChange, 0x0222D9E4)
DECLARE_EVENT_SOURCE(CharGen_HairChange, 0x0222DA74)
DECLARE_EVENT_SOURCE(CharGen_HairColorChange, 0x0222DB04)
DECLARE_EVENT_SOURCE(CharGen_HeadpartPlusSelectorChange, 0x0222DB94)
DECLARE_EVENT_SOURCE(CharGen_HeadpartPresetChange, 0x0222DC24)
DECLARE_EVENT_SOURCE(CharGen_JewelryChange, 0x0222DCB4)
DECLARE_EVENT_SOURCE(CharGen_JewelryColorChange, 0x0222DD44)
DECLARE_EVENT_SOURCE(CharGen_MakeupChange, 0x0222DDD4)
DECLARE_EVENT_SOURCE(CharGen_MarkingsChange, 0x0222DE64)
DECLARE_EVENT_SOURCE(CharGen_PostBlendColorOptionChange, 0x0222DEF4)
DECLARE_EVENT_SOURCE(CharGen_PostBlendFaceChange, 0x0222DF84)
DECLARE_EVENT_SOURCE(CharGen_PostBlendIntensityChange, 0x0222E014)
DECLARE_EVENT_SOURCE(CharGen_PresetChange, 0x0222E0A4)
DECLARE_EVENT_SOURCE(CharGen_RollOffLocomotion, 0x0222E134)
DECLARE_EVENT_SOURCE(CharGen_RollOnLocomotion, 0x0222E1C4)
DECLARE_EVENT_SOURCE(CharGen_RotatePaperdoll, 0x0222E254)
DECLARE_EVENT_SOURCE(CharGen_SetAdditionalSlider, 0x0222E2E4)
DECLARE_EVENT_SOURCE(CharGen_SetBackground, 0x0222E374)
DECLARE_EVENT_SOURCE(CharGen_SetBlockInputUnderPopup, 0x0222E404)
DECLARE_EVENT_SOURCE(CharGen_SetBodyValues, 0x0222E494)
DECLARE_EVENT_SOURCE(CharGen_SetCameraPosition, 0x0222E524)
DECLARE_EVENT_SOURCE(CharGen_SetPronoun, 0x0222E5B4)
DECLARE_EVENT_SOURCE(CharGen_SetSex, 0x0222E644)
DECLARE_EVENT_SOURCE(CharGen_SetSlider, 0x0222E6D4)
DECLARE_EVENT_SOURCE(CharGen_SetTrait, 0x0222E764)
DECLARE_EVENT_SOURCE(CharGen_ShowChooseBackgroundMessage, 0x0222E7F4)
DECLARE_EVENT_SOURCE(CharGen_ShowPlayerRenameMessage, 0x0222E884)
DECLARE_EVENT_SOURCE(CharGen_SkintoneChange, 0x0222E914)
DECLARE_EVENT_SOURCE(CharGen_StartBodyChange, 0x0222E9A4)
DECLARE_EVENT_SOURCE(CharGen_StartTextEntry, 0x0222EA34)
DECLARE_EVENT_SOURCE(CharGen_SwitchBodyType, 0x0222EAC4)
DECLARE_EVENT_SOURCE(CharGen_SwitchLocomotion, 0x0222EB54)
DECLARE_EVENT_SOURCE(CharGen_TeethChange, 0x0222EBE4)
DECLARE_EVENT_SOURCE(CharGen_TeethRollOff, 0x0222EC74)
DECLARE_EVENT_SOURCE(CharGen_TeethRollOn, 0x0222ED04)
DECLARE_EVENT_SOURCE(CharGen_ToggleMarking, 0x0222ED94)
DECLARE_EVENT_SOURCE(CharGen_TogglePreviewHabSuit, 0x0222EE24)
DECLARE_EVENT_SOURCE(UIMenuChargenMenuDisablePaperdoll, 0x0222EEB4)
DECLARE_EVENT_SOURCE(DataMenu_CloseMenu, 0x02235F28)
DECLARE_EVENT_SOURCE(DataMenu_ClosedForSubMenu, 0x02235FB8)
DECLARE_EVENT_SOURCE(DataMenu_Missions, 0x02236048)
DECLARE_EVENT_SOURCE(DataMenu_PlotToLocation, 0x0223617C)
DECLARE_EVENT_SOURCE(DataMenu_Reopened, 0x0223620C)
DECLARE_EVENT_SOURCE(DataMenu_SelectedAttributesMenu, 0x0223629C)
DECLARE_EVENT_SOURCE(DataMenu_SelectedInventoryMenu, 0x0223632C)
DECLARE_EVENT_SOURCE(DataMenu_SelectedMapMenu, 0x022363BC)
DECLARE_EVENT_SOURCE(DataMenu_SelectedPowersMenu, 0x0223644C)
DECLARE_EVENT_SOURCE(DataMenu_SelectedShipMenu, 0x022364DC)
DECLARE_EVENT_SOURCE(DataMenu_SelectedStatusMenu, 0x0223656C)
DECLARE_EVENT_SOURCE(DataMenu_SetMenuForQuickEntry, 0x022365FC)
DECLARE_EVENT_SOURCE(DataMenu_SetPaperDollActive, 0x0223668C)
DECLARE_EVENT_SOURCE(PauseMenu_ActionCanceled, 0x022408D4)
DECLARE_EVENT_SOURCE(PauseMenu_ConfirmAction, 0x02240964)
DECLARE_EVENT_SOURCE(PauseMenu_ConfirmLoad, 0x022409F4)
DECLARE_EVENT_SOURCE(PauseMenu_ConfirmSave, 0x02240A84)
DECLARE_EVENT_SOURCE(PauseMenu_DeleteSave, 0x02240B14)
DECLARE_EVENT_SOURCE(PauseMenu_QuitToDesktop, 0x02240BA4)
DECLARE_EVENT_SOURCE(PauseMenu_SetCharacter, 0x02240C34)
DECLARE_EVENT_SOURCE(PauseMenu_StartAction, 0x02240CC4)
DECLARE_EVENT_SOURCE(PauseMenu_StartLoad, 0x02240D54)
DECLARE_EVENT_SOURCE(PauseMenu_UploadSave, 0x02240DE4)
DECLARE_EVENT_SOURCE(PlayBink_CloseMenu, 0x02241D80)
DECLARE_EVENT_SOURCE(Spaceship::GravJumpEvent, 0x022479B4)
DECLARE_EVENT_SOURCE(Spaceship::LandedSetEvent, 0x02247A44)
DECLARE_EVENT_SOURCE(Reticle_OnLongAnimFinished, 0x02247AD4)
DECLARE_EVENT_SOURCE(ShipHudQuickContainer_TransferItem, 0x02247B64)
DECLARE_EVENT_SOURCE(ShipHud_AbortJump, 0x02247BF4)
DECLARE_EVENT_SOURCE(ShipHud_DockRequested, 0x02247C84)
DECLARE_EVENT_SOURCE(ShipHud_HailShip, 0x02247D14)
DECLARE_EVENT_SOURCE(ShipHud_UpdateTargetPanelRect, 0x02247DA4)
DECLARE_EVENT_SOURCE(TakeoffMenu_CloseMenu, 0x02247E34)
DECLARE_EVENT_SOURCE(TakeoffMenu_ExitShip, 0x02247EC4)
DECLARE_EVENT_SOURCE(TakeoffMenu_Launch, 0x02247F54)
DECLARE_EVENT_SOURCE(StarMapMenu_LandingInputInProgress, 0x02267490)
DECLARE_EVENT_SOURCE(StarMapMenu_MarkerGroupContainerVisibilityChanged, 0x02267520)
DECLARE_EVENT_SOURCE(StarMapMenu_MarkerGroupEntryClicked, 0x022675B0)
DECLARE_EVENT_SOURCE(StarMapMenu_MarkerGroupEntryHoverChanged, 0x02267640)
DECLARE_EVENT_SOURCE(StarMapMenu_ScanPlanet, 0x022676D0)
DECLARE_EVENT_SOURCE(StarMapMenu_SelectedLandingSite, 0x02267760)
DECLARE_EVENT_SOURCE(StarMapMenu_SelectedLandingSiteFailed, 0x022677F0)
DECLARE_EVENT_SOURCE(StarMapMenu_ShowRealCursor, 0x02267880)
DECLARE_EVENT_SOURCE(StarMapMenu_QuickSelectChange, 0x0227CD50)
DECLARE_EVENT_SOURCE(StarMapMenu_Galaxy_FocusSystem, 0x0228DCA0)
DECLARE_EVENT_SOURCE(StarMapMenu_OnGalaxyViewInitialized, 0x0228DD30)
DECLARE_EVENT_SOURCE(StarMapMenu_ExecuteRoute, 0x02298828)
DECLARE_EVENT_SOURCE(StarMapMenu_OnCancel, 0x022988B8)
DECLARE_EVENT_SOURCE(StarMapMenu_OnClearRoute, 0x02298948)
DECLARE_EVENT_SOURCE(StarMapMenu_OnExitStarMap, 0x022989D8)
DECLARE_EVENT_SOURCE(StarMapMenu_OnHintButtonClicked, 0x02298A68)
DECLARE_EVENT_SOURCE(StarMapMenu_OnOutpostEntrySelected, 0x02298AF8)
DECLARE_EVENT_SOURCE(StarMapMenu_ReadyToClose, 0x02298B88)
DECLARE_EVENT_SOURCE(SurfaceMapMenu_MarkerClicked, 0x022B680C)
DECLARE_EVENT_SOURCE(SurfaceMapMenu_TryPlaceCustomMarker, 0x022B689C)
DECLARE_EVENT_SOURCE(TerminalMenu_CancelEvent, 0x022D0D60)
DECLARE_EVENT_SOURCE(Terminal_CloseAllViews, 0x022D0DF0)
DECLARE_EVENT_SOURCE(Terminal_CloseTopView, 0x022D0E80)
DECLARE_EVENT_SOURCE(Terminal_CloseView, 0x022D0F10)
DECLARE_EVENT_SOURCE(Terminal_MenuItemClick, 0x022D0FA0)
DECLARE_EVENT_SOURCE(TestMenu_DoAction, 0x022DCE1C)
DECLARE_EVENT_SOURCE(TestMenu_ExitMenu, 0x022DCEAC)
DECLARE_EVENT_SOURCE(TestMenu_ShowImages, 0x022DCF3C)
DECLARE_EVENT_SOURCE(TestMenu_ShowResources, 0x022DCFCC)
DECLARE_EVENT_SOURCE(TestMenu_TestAll, 0x022DD05C)
DECLARE_EVENT_SOURCE(TextInputMenu_EndEditText, 0x022E0FF4)
DECLARE_EVENT_SOURCE(TextInputMenu_InputCanceled, 0x022E1084)
DECLARE_EVENT_SOURCE(TextInputMenu_StartEditText, 0x022E1114)
DECLARE_EVENT_SOURCE(CraftingMenu_Highlight3D, 0x022E23E4)
DECLARE_EVENT_SOURCE(CraftingMenu_RevertHighlight, 0x022E2474)
DECLARE_EVENT_SOURCE(WorkshopBuilderMenu_ChangeBuildItem, 0x022E4AD8)
DECLARE_EVENT_SOURCE(WorkshopBuilderMenu_SelectedItem, 0x022E4B68)
DECLARE_EVENT_SOURCE(WorkshopBuilderMenu_ToggleTracking, 0x022E4BF8)
DECLARE_EVENT_SOURCE(WorkshopMenu_AttemptBuild, 0x022ED444)
DECLARE_EVENT_SOURCE(WorkshopMenu_CancelAction, 0x022ED4D4)
DECLARE_EVENT_SOURCE(WorkshopMenu_ChangeVariant, 0x022ED564)
DECLARE_EVENT_SOURCE(WorkshopMenu_ConnectionEvent, 0x022ED5F4)
DECLARE_EVENT_SOURCE(WorkshopMenu_ExitMenu, 0x022ED684)
DECLARE_EVENT_SOURCE(WorkshopMenu_MessageCallback, 0x022ED714)
DECLARE_EVENT_SOURCE(WorkshopMenu_SelectedCategory, 0x022ED7A4)
DECLARE_EVENT_SOURCE(WorkshopMenu_SelectedGridObject, 0x022ED834)
DECLARE_EVENT_SOURCE(WorkshopMenu_ShowExtras, 0x022ED8C4)
DECLARE_EVENT_SOURCE(WorkshopMenu_SwitchMode, 0x022ED954)
DECLARE_EVENT_SOURCE(WorkshopMenu_ToggleDistance, 0x022ED9E4)
DECLARE_EVENT_SOURCE(WorkshopMenu_ToggleTracking, 0x022EDA74)
DECLARE_EVENT_SOURCE(WorkshopMenu_ToggleView, 0x022EDB04)
DECLARE_EVENT_SOURCE(WorkshopQuickMenu_ConfirmAction, 0x022EF554)
DECLARE_EVENT_SOURCE(WorkshopQuickMenu_ExitMenu, 0x022EF5E4)
DECLARE_EVENT_SOURCE(WorkshopTargetMenu_TargetHovered, 0x022F5AAC)
DECLARE_EVENT_SOURCE(WorkshopTargetMenu_TargetPicked, 0x022F5B3C)
DECLARE_EVENT_SOURCE(WorkshopActionButton_HoldFinished, 0x0230CBE0)
DECLARE_EVENT_SOURCE(WorkshopActionButton_HoldStopped, 0x0230CC70)
DECLARE_EVENT_SOURCE(WorkshopShared_SetActionHandles, 0x0230CD00)
DECLARE_EVENT_SOURCE(WorkshopShared_StartAction, 0x0230CD90)
DECLARE_EVENT_SOURCE(ModelReferenceEffectEvents::ReferenceEffectFinished, 0x0232C9EC)
DECLARE_EVENT_SOURCE(BGSAcousticSpaceListener::StackChangedEvent, 0x02340BB4)
DECLARE_EVENT_SOURCE(SpaceshipBIEvents::ShipPowerAllocationBIEventSent, 0x023576D0)
DECLARE_EVENT_SOURCE(BGSActorDeathEvent, 0x02363F7C)
DECLARE_EVENT_SOURCE(Research::ResearchProgressEvent, 0x023B4818)
DECLARE_EVENT_SOURCE(BSTValueRequestEvent<PlayerAutoAimActorEvent>, 0x025D97E8)
DECLARE_EVENT_SOURCE(PlayerInCombatChangeEvent, 0x025F1D20)
DECLARE_EVENT_SOURCE(BlurEvent, 0x028C0E38)
DECLARE_EVENT_SOURCE(ContainerMenu_HideModel, 0x028E3EB8)
DECLARE_EVENT_SOURCE(ContainerMenu_Jettison, 0x028E3F48)
DECLARE_EVENT_SOURCE(ContainerMenu_LoadModel, 0x028E3FD8)
DECLARE_EVENT_SOURCE(ContainerMenu_OpenRefuelMenu, 0x028E4068)
DECLARE_EVENT_SOURCE(ContainerMenu_SetMouseOverModel, 0x028E40F8)
DECLARE_EVENT_SOURCE(ContainerMenu_TakeAll, 0x028E4188)
DECLARE_EVENT_SOURCE(ContainerMenu_ToggleEquip, 0x028E4218)
DECLARE_EVENT_SOURCE(ContainerMenu_TransferItem, 0x028E434C)
DECLARE_EVENT_SOURCE(DialogueMenu_OnDialogueSelect, 0x028E7DF0)
DECLARE_EVENT_SOURCE(DialogueMenu_OnListVisibilityChange, 0x028E7E80)
DECLARE_EVENT_SOURCE(DialogueMenu_OnPersuasionAutoWin, 0x028E7F10)
DECLARE_EVENT_SOURCE(DialogueMenu_OnScriptedDialogueSelect, 0x028E7FA0)
DECLARE_EVENT_SOURCE(DialogueMenu_RequestExit, 0x028E8030)
DECLARE_EVENT_SOURCE(DialogueMenu_RequestSkipDialogue, 0x028E80C0)
DECLARE_EVENT_SOURCE(BSTValueRequestEvent<FaderMenuDisplayState>, 0x028E8E88)
DECLARE_EVENT_SOURCE(FavoritesMenu_AssignQuickkey, 0x028F4EC0)
DECLARE_EVENT_SOURCE(FavoritesMenu_UseQuickkey, 0x028F4F50)
DECLARE_EVENT_SOURCE(LoadingMenu_RefreshText, 0x028F8DC0)
DECLARE_EVENT_SOURCE(MainMenu_ActionCanceled, 0x028FC4D0)
DECLARE_EVENT_SOURCE(MainMenu_ActionConfirmed, 0x028FC560)
DECLARE_EVENT_SOURCE(MainMenu_ConfirmLoad, 0x028FC5F0)
DECLARE_EVENT_SOURCE(MainMenu_DeleteSave, 0x028FC680)
DECLARE_EVENT_SOURCE(MainMenu_SetCharacter, 0x028FC7AC)
DECLARE_EVENT_SOURCE(MainMenu_StartAction, 0x028FC83C)
DECLARE_EVENT_SOURCE(MainMenu_StartLoad, 0x028FC8CC)
DECLARE_EVENT_SOURCE(MainMenu_UploadSave, 0x028FC95C)
DECLARE_EVENT_SOURCE(BGSAppPausedEvent, 0x028FE1EC)
DECLARE_EVENT_SOURCE(MessageBoxMenu_OnBackOut, 0x029034D8)
DECLARE_EVENT_SOURCE(MessageBoxMenu_OnButtonPress, 0x02903568)
DECLARE_EVENT_SOURCE(MessageBoxMenu_OnScriptedButtonPress, 0x029035F8)
DECLARE_EVENT_SOURCE(SleepWaitMenu_InterruptRest, 0x02908288)
DECLARE_EVENT_SOURCE(SleepWaitMenu_StartRest, 0x02908318)
DECLARE_EVENT_SOURCE(Spaceship::BoughtEvent, 0x02BD6E14)
DECLARE_EVENT_SOURCE(Spaceship::ContrabandScanWarningEvent, 0x02BD6EA4)
DECLARE_EVENT_SOURCE(Spaceship::DockEvent, 0x02BD6F34)
DECLARE_EVENT_SOURCE(Spaceship::DynamicNavmeshCompleted, 0x02BD6FC4)
DECLARE_EVENT_SOURCE(Spaceship::FarTravelEvent, 0x02BD7054)
DECLARE_EVENT_SOURCE(Spaceship::LandingEvent, 0x02BD70E4)
DECLARE_EVENT_SOURCE(Spaceship::PlanetScanEvent, 0x02BD7174)
DECLARE_EVENT_SOURCE(Spaceship::RampDownEvent, 0x02BD7204)
DECLARE_EVENT_SOURCE(Spaceship::RefueledEvent, 0x02BD7294)
DECLARE_EVENT_SOURCE(Spaceship::RegisteredEvent, 0x02BD7324)
DECLARE_EVENT_SOURCE(Spaceship::ShieldEvent, 0x02BD73B4)
DECLARE_EVENT_SOURCE(Spaceship::ShipAddedEvent, 0x02BD7444)
DECLARE_EVENT_SOURCE(Spaceship::ShipCollisionEvent, 0x02BD74D4)
DECLARE_EVENT_SOURCE(Spaceship::ShipCustomizedEvent, 0x02BD7564)
DECLARE_EVENT_SOURCE(Spaceship::SoldEvent, 0x02BD75F4)
DECLARE_EVENT_SOURCE(Spaceship::SystemDamagedEvent, 0x02BD7684)
DECLARE_EVENT_SOURCE(Spaceship::SystemPowerAllocationEvent, 0x02BD7714)
DECLARE_EVENT_SOURCE(Spaceship::SystemPowerChangeEvent, 0x02BD77A4)
DECLARE_EVENT_SOURCE(Spaceship::SystemRepairedBIEvent, 0x02BD7834)
DECLARE_EVENT_SOURCE(Spaceship::SystemRepairedEvent, 0x02BD78C4)
DECLARE_EVENT_SOURCE(Spaceship::TakeDamagEvent, 0x02BD7954)
DECLARE_EVENT_SOURCE(ContextStackChangedEvent, 0x02D04878)
DECLARE_EVENT_SOURCE(UpdateSceneRectEvent, 0x02EE1920)
DECLARE_EVENT_SOURCE(GameStalledEvent, 0x030A6920)

// more

DECLARE_EVENT_SOURCE(TESCellNavmeshGeneratedEvent, 0x005BC480)
DECLARE_EVENT_SOURCE(TESHitEvent, 0x005BCD10)
DECLARE_EVENT_SOURCE(FirstThirdPersonSwitch::Event, 0x005BD700)
DECLARE_EVENT_SOURCE(PerkChanged::Event, 0x01336FD0)
DECLARE_EVENT_SOURCE(TESHarvestEvent::ItemHarvested, 0x015245D0)
DECLARE_EVENT_SOURCE(ActivityEvents::ActivityCompletedEvent, 0x0152CA10)
DECLARE_EVENT_SOURCE(ChallengeCompletedEvent::Event, 0x0152ED30)
DECLARE_EVENT_SOURCE(InventoryItemEvent::Event, 0x01566970)
DECLARE_EVENT_SOURCE(BooksRead::Event, 0x0195F910)
DECLARE_EVENT_SOURCE(LocationExplored::Event, 0x01997CF0)
DECLARE_EVENT_SOURCE(LocationLinked::Event, 0x01997D60)
DECLARE_EVENT_SOURCE(Activation::Event, 0x01A53FB0)
DECLARE_EVENT_SOURCE(ActorCellChangeEvent, 0x01A659B0)
DECLARE_EVENT_SOURCE(ActorHeadAttachedEvent, 0x01A65A20)
DECLARE_EVENT_SOURCE(ActorValueEvents::ActorValueChangedEvent, 0x01A65A90)
DECLARE_EVENT_SOURCE(AliasChangeEvent, 0x01A65B00)
DECLARE_EVENT_SOURCE(AnimationGraphDependentEvent, 0x01A65B70)
DECLARE_EVENT_SOURCE(BGSAffinityEventEvent, 0x01A65BE0)
DECLARE_EVENT_SOURCE(BGSCellGridLoadEvent, 0x01A65C50)
DECLARE_EVENT_SOURCE(BGSEventProcessedEvent, 0x01A65CC0)
DECLARE_EVENT_SOURCE(BGSHavokWorldCreatedEvent, 0x01A65D30)
DECLARE_EVENT_SOURCE(BGSLocationLoadedEvent, 0x01A65DA0)
DECLARE_EVENT_SOURCE(BGSOnPlayerCompanionDismiss, 0x01A65E10)
DECLARE_EVENT_SOURCE(BGSOnPlayerCompleteResearchEvent, 0x01A65E80)
DECLARE_EVENT_SOURCE(BGSOnPlayerCraftItemEvent, 0x01A65EF0)
DECLARE_EVENT_SOURCE(BGSOnPlayerCreateRobotEvent, 0x01A65F60)
DECLARE_EVENT_SOURCE(BGSOnPlayerEnterVertibirdEvent, 0x01A65FD0)
DECLARE_EVENT_SOURCE(BGSOnPlayerFallLongDistances, 0x01A66040)
DECLARE_EVENT_SOURCE(BGSOnPlayerFireWeaponEvent, 0x01A660B0)
DECLARE_EVENT_SOURCE(BGSOnPlayerHealTeammateEvent, 0x01A66120)
DECLARE_EVENT_SOURCE(BGSOnPlayerLoiteringBeginEvent, 0x01A66190)
DECLARE_EVENT_SOURCE(BGSOnPlayerLoiteringEndEvent, 0x01A66200)
DECLARE_EVENT_SOURCE(BGSOnPlayerModArmorWeaponEvent, 0x01A66270)
DECLARE_EVENT_SOURCE(BGSOnPlayerModRobotEvent, 0x01A662E0)
DECLARE_EVENT_SOURCE(BGSOnPlayerSwimmingEvent, 0x01A66350)
DECLARE_EVENT_SOURCE(BGSOnPlayerUseWorkBenchEvent, 0x01A663C0)
DECLARE_EVENT_SOURCE(BGSOnSpeechChallengeAvailable, 0x01A66430)
DECLARE_EVENT_SOURCE(BGSRadiationDamageEvent, 0x01A664A0)
DECLARE_EVENT_SOURCE(BuilderMenuSelectEvent, 0x01A66510)
DECLARE_EVENT_SOURCE(CrewAssignedEvent, 0x01A66580)
DECLARE_EVENT_SOURCE(CrewDismissedEvent, 0x01A665F0)
DECLARE_EVENT_SOURCE(DestroyedEvent, 0x01A66660)
DECLARE_EVENT_SOURCE(HomeShipSetEvent, 0x01A666D0)
DECLARE_EVENT_SOURCE(InstantReferenceInteractionEvent, 0x01A66740)
DECLARE_EVENT_SOURCE(ItemConsumedEvent, 0x01A667B0)
DECLARE_EVENT_SOURCE(ItemSwappedEvent, 0x01A66820)
DECLARE_EVENT_SOURCE(LockPickedEvent, 0x01A66890)
DECLARE_EVENT_SOURCE(MapMarkerDiscoveredEvent, 0x01A66900)
DECLARE_EVENT_SOURCE(ObjectScannedEvent, 0x01A66970)
DECLARE_EVENT_SOURCE(PlayerAddItemEvent, 0x01A669E0)
DECLARE_EVENT_SOURCE(PlayerArrestedEvent, 0x01A66A50)
DECLARE_EVENT_SOURCE(PlayerAssaultActorEvent, 0x01A66AC0)
DECLARE_EVENT_SOURCE(PlayerBuyShipEvent, 0x01A66B30)
DECLARE_EVENT_SOURCE(PlayerCrimeGoldEvent, 0x01A66BA0)
DECLARE_EVENT_SOURCE(PlayerFailedPlotRouteEvent, 0x01A66C10)
DECLARE_EVENT_SOURCE(PlayerJailEvent, 0x01A66C80)
DECLARE_EVENT_SOURCE(PlayerModifiedShipEvent, 0x01A66CF0)
DECLARE_EVENT_SOURCE(PlayerMurderActorEvent, 0x01A66D60)
DECLARE_EVENT_SOURCE(PlayerPayFineEvent, 0x01A66DD0)
DECLARE_EVENT_SOURCE(PlayerPlanetSurveyCompleteEvent, 0x01A66E40)
DECLARE_EVENT_SOURCE(PlayerPlanetSurveyProgressEvent, 0x01A66EB0)
DECLARE_EVENT_SOURCE(PlayerSellShipEvent, 0x01A66F20)
DECLARE_EVENT_SOURCE(PlayerTrespassEvent, 0x01A66F90)
DECLARE_EVENT_SOURCE(QuickContainerOpenedEvent, 0x01A67000)
DECLARE_EVENT_SOURCE(RefControlChangedEvent, 0x01A67070)
DECLARE_EVENT_SOURCE(ReferenceDestroyedEvent, 0x01A670E0)
DECLARE_EVENT_SOURCE(SpeechChallengeCompletionEvent, 0x01A67150)
DECLARE_EVENT_SOURCE(TESActivateEvent, 0x01A671C0)
DECLARE_EVENT_SOURCE(TESActiveEffectApplyFinishEvent, 0x01A67230)
DECLARE_EVENT_SOURCE(TESActiveEffectRemovedEvent, 0x01A672A0)
DECLARE_EVENT_SOURCE(TESActorActivatedRefEvent, 0x01A67310)
DECLARE_EVENT_SOURCE(TESActorLocationChangeEvent, 0x01A67380)
DECLARE_EVENT_SOURCE(TESBookReadEvent, 0x01A673F0)
DECLARE_EVENT_SOURCE(TESCellCriticalRefsAttachedEvent, 0x01A67460)
DECLARE_EVENT_SOURCE(TESCellFullyLoadedEvent, 0x01A674D0)
DECLARE_EVENT_SOURCE(TESCellGravityChangeEvent, 0x01A67540)
DECLARE_EVENT_SOURCE(TESCellReadyToApplyDecalsEvent, 0x01A675B0)
DECLARE_EVENT_SOURCE(TESCellReference3DAttachEvent, 0x01A67620)
DECLARE_EVENT_SOURCE(TESCellReferenceAttachDetachEvent, 0x01A67690)
DECLARE_EVENT_SOURCE(TESCombatEvent, 0x01A67700)
DECLARE_EVENT_SOURCE(TESCombatListEvent, 0x01A67770)
DECLARE_EVENT_SOURCE(TESCommandModeCompleteCommandEvent, 0x01A677E0)
DECLARE_EVENT_SOURCE(TESCommandModeEnterEvent, 0x01A67850)
DECLARE_EVENT_SOURCE(TESCommandModeExitEvent, 0x01A678C0)
DECLARE_EVENT_SOURCE(TESCommandModeGiveCommandEvent, 0x01A67930)
DECLARE_EVENT_SOURCE(TESConsciousnessEvent, 0x01A679A0)
DECLARE_EVENT_SOURCE(TESContainerChangedEvent, 0x01A67A10)
DECLARE_EVENT_SOURCE(TESDeathEvent, 0x01A67A80)
DECLARE_EVENT_SOURCE(TESDeferredKillEvent, 0x01A67AF0)
DECLARE_EVENT_SOURCE(TESDestructionStageChangedEvent, 0x01A67B60)
DECLARE_EVENT_SOURCE(TESEnterBleedoutEvent, 0x01A67BD0)
DECLARE_EVENT_SOURCE(TESEnterSneakingEvent, 0x01A67C40)
DECLARE_EVENT_SOURCE(TESEquipEvent, 0x01A67CB0)
DECLARE_EVENT_SOURCE(TESEscortWaitStartEvent, 0x01A67D20)
DECLARE_EVENT_SOURCE(TESEscortWaitStopEvent, 0x01A67D90)
DECLARE_EVENT_SOURCE(TESExitBleedoutEvent, 0x01A67E00)
DECLARE_EVENT_SOURCE(TESExitFurnitureEvent, 0x01A67E70)
DECLARE_EVENT_SOURCE(TESFormDeleteEvent, 0x01A67EE0)
DECLARE_EVENT_SOURCE(TESFormIDRemapEvent, 0x01A67F50)
DECLARE_EVENT_SOURCE(TESFurnitureEvent, 0x01A67FC0)
DECLARE_EVENT_SOURCE(TESGrabReleaseEvent, 0x01A68030)
DECLARE_EVENT_SOURCE(TESInitScriptEvent, 0x01A680A0)
DECLARE_EVENT_SOURCE(TESLimbCrippleEvent, 0x01A68110)
DECLARE_EVENT_SOURCE(TESLoadGameEvent, 0x01A68180)
DECLARE_EVENT_SOURCE(TESLocationExploredEvent, 0x01A681F0)
DECLARE_EVENT_SOURCE(TESLockChangedEvent, 0x01A68260)
DECLARE_EVENT_SOURCE(TESMagicEffectApplyEvent, 0x01A682D0)
DECLARE_EVENT_SOURCE(TESMissionAcceptedEvent, 0x01A68340)
DECLARE_EVENT_SOURCE(TESObjectLoadedEvent, 0x01A683B0)
DECLARE_EVENT_SOURCE(TESObjectREFRTranslationEvent, 0x01A68420)
DECLARE_EVENT_SOURCE(TESOnPCDialogueTargetEvent, 0x01A68490)
DECLARE_EVENT_SOURCE(TESOpenCloseEvent, 0x01A68500)
DECLARE_EVENT_SOURCE(TESPackageEvent, 0x01A68570)
DECLARE_EVENT_SOURCE(TESPerkEntryRunEvent, 0x01A685E0)
DECLARE_EVENT_SOURCE(TESPickNewIdleEvent, 0x01A68650)
DECLARE_EVENT_SOURCE(TESPickpocketFailedEvent, 0x01A686C0)
DECLARE_EVENT_SOURCE(TESPlayerActiveEffectEvent, 0x01A68730)
DECLARE_EVENT_SOURCE(TESPlayerFollowerWarpEvent, 0x01A687A0)
DECLARE_EVENT_SOURCE(TESQuestInitEvent, 0x01A68810)
DECLARE_EVENT_SOURCE(TESQuestRejectedEvent, 0x01A68880)
DECLARE_EVENT_SOURCE(TESQuestStageEvent, 0x01A688F0)
DECLARE_EVENT_SOURCE(TESQuestStageItemDoneEvent, 0x01A68960)
DECLARE_EVENT_SOURCE(TESQuestStartStopEvent, 0x01A689D0)
DECLARE_EVENT_SOURCE(TESQuestTimerEvent, 0x01A68A40)
DECLARE_EVENT_SOURCE(TESResetEvent, 0x01A68AB0)
DECLARE_EVENT_SOURCE(TESResolveNPCTemplatesEvent, 0x01A68B20)
DECLARE_EVENT_SOURCE(TESSceneActionEvent, 0x01A68B90)
DECLARE_EVENT_SOURCE(TESSceneEvent, 0x01A68C00)
DECLARE_EVENT_SOURCE(TESScenePhaseEvent, 0x01A68C70)
DECLARE_EVENT_SOURCE(TESSellEvent, 0x01A68CE0)
DECLARE_EVENT_SOURCE(TESSleepStartEvent, 0x01A68D50)
DECLARE_EVENT_SOURCE(TESSleepStopEvent, 0x01A68DC0)
DECLARE_EVENT_SOURCE(TESSpellCastEvent, 0x01A68E30)
DECLARE_EVENT_SOURCE(TESSpellCastFailureEvent, 0x01A68EA0)
DECLARE_EVENT_SOURCE(TESSwitchRaceCompleteEvent, 0x01A68F10)
DECLARE_EVENT_SOURCE(TESTopicInfoEvent, 0x01A68F80)
DECLARE_EVENT_SOURCE(TESTrackedStatsEvent, 0x01A68FF0)
DECLARE_EVENT_SOURCE(TESTrapHitEvent, 0x01A69060)
DECLARE_EVENT_SOURCE(TESTriggerEnterEvent, 0x01A690D0)
DECLARE_EVENT_SOURCE(TESTriggerEvent, 0x01A69140)
DECLARE_EVENT_SOURCE(TESTriggerLeaveEvent, 0x01A691B0)
DECLARE_EVENT_SOURCE(TESUniqueIDChangeEvent, 0x01A69220)
DECLARE_EVENT_SOURCE(TESWaitStartEvent, 0x01A69290)
DECLARE_EVENT_SOURCE(TESWaitStopEvent, 0x01A69300)
DECLARE_EVENT_SOURCE(TerminalMenuMenuItemRunEvent, 0x01A69370)
DECLARE_EVENT_SOURCE(TerminalMenuOnEnterEvent, 0x01A693E0)
DECLARE_EVENT_SOURCE(WorkshopNPCTransferEvent, 0x01A69450)
DECLARE_EVENT_SOURCE(TESObjectREFRIsReadyForAttachEvent, 0x01A694C0)
DECLARE_EVENT_SOURCE(DefaultObjectsReadyEvent::Event, 0x01A94B00)
DECLARE_EVENT_SOURCE(ObjectiveState::Event, 0x01B3E740)
DECLARE_EVENT_SOURCE(QuestStatus::Event, 0x01B9E970)
DECLARE_EVENT_SOURCE(RefillAliasEvent::Event, 0x01B9E9E0)
DECLARE_EVENT_SOURCE(TESQuestEvent::Event, 0x01B9EA50)
DECLARE_EVENT_SOURCE(RolloverIsCrimeEvent::Event, 0x0208D850)
DECLARE_EVENT_SOURCE(HideSubtitleEvent::Event, 0x02098A70)
DECLARE_EVENT_SOURCE(ShowSubtitleEvent::Event, 0x02098AE0)
DECLARE_EVENT_SOURCE(MissionMenuStateEvent::Event, 0x020EA8F0)
DECLARE_EVENT_SOURCE(ClearShipHudTarget::Event, 0x02144F30)
DECLARE_EVENT_SOURCE(TryUpdateShipHudTarget::Event, 0x02144FA0)
DECLARE_EVENT_SOURCE(LocationTextEvent::Event, 0x0219F110)
DECLARE_EVENT_SOURCE(TraitDiscoveryTextEvent::Event, 0x0219F180)
DECLARE_EVENT_SOURCE(DaysPassed::Event, 0x0241ACE0)
DECLARE_EVENT_SOURCE(HourPassed::Event, 0x0241AD50)
DECLARE_EVENT_SOURCE(ActorDamage::Event, 0x024FAE40)
DECLARE_EVENT_SOURCE(ActorItemEquipped::Event, 0x024FAEB0)
DECLARE_EVENT_SOURCE(ActorKill::Event, 0x024FAF20)
DECLARE_EVENT_SOURCE(AssaultCrime::Event, 0x024FAF90)
DECLARE_EVENT_SOURCE(DisarmedEvent::Event, 0x024FB000)
DECLARE_EVENT_SOURCE(FactionRankChange::Event, 0x024FB070)
DECLARE_EVENT_SOURCE(GrandTheftHorse::Event, 0x024FB0E0)
DECLARE_EVENT_SOURCE(MurderCrime::Event, 0x024FB150)
DECLARE_EVENT_SOURCE(PiracyCrime::Event, 0x024FB1C0)
DECLARE_EVENT_SOURCE(Bleedout::Event, 0x02529810)
DECLARE_EVENT_SOURCE(ContractedDisease::Event, 0x02529880)
DECLARE_EVENT_SOURCE(ReloadWeaponEvent::Event, 0x025298F0)
DECLARE_EVENT_SOURCE(SpellsLearned::Event, 0x02537ED0)
DECLARE_EVENT_SOURCE(Bounty::Event, 0x025D8D00)
DECLARE_EVENT_SOURCE(ChestLooted::Event, 0x025D8D70)
DECLARE_EVENT_SOURCE(CriticalHitEvent::Event, 0x025D8DE0)
DECLARE_EVENT_SOURCE(CustomMarkerUpdate::Event, 0x025D8E50)
DECLARE_EVENT_SOURCE(DaysJailed::Event, 0x025D8EC0)
DECLARE_EVENT_SOURCE(EnteredUnity::Event, 0x025D8F30)
DECLARE_EVENT_SOURCE(FinePaid::Event, 0x025D8FA0)
DECLARE_EVENT_SOURCE(ItemCrafted::Event, 0x025D9010)
DECLARE_EVENT_SOURCE(ItemSteal::Event, 0x025D9080)
DECLARE_EVENT_SOURCE(JailEscape::Event, 0x025D90F0)
DECLARE_EVENT_SOURCE(Jailing::Event, 0x025D9160)
DECLARE_EVENT_SOURCE(LevelIncrease::Event, 0x025D91D0)
DECLARE_EVENT_SOURCE(LocationMarkerArrayUpdate::Event, 0x025D9240)
DECLARE_EVENT_SOURCE(PlayerActiveEffectChanged::Event, 0x025D92B0)
DECLARE_EVENT_SOURCE(PlayerAmmoChanged::Event, 0x025D9320)
DECLARE_EVENT_SOURCE(PlayerCharacterQuestEvent::Event, 0x025D9390)
DECLARE_EVENT_SOURCE(PlayerDifficultySettingChanged::Event, 0x025D9400)
DECLARE_EVENT_SOURCE(PlayerFastTravel::Event, 0x025D9470)
DECLARE_EVENT_SOURCE(PlayerInDialogueChanged::Event, 0x025D94E0)
DECLARE_EVENT_SOURCE(PlayerLifeStateChanged::Event, 0x025D9550)
DECLARE_EVENT_SOURCE(PlayerPickpocketSuccess::Event, 0x025D95C0)
DECLARE_EVENT_SOURCE(PoisonedWeapon::Event, 0x025D9630)
DECLARE_EVENT_SOURCE(TerminalHacked::Event, 0x025D96A0)
DECLARE_EVENT_SOURCE(TravelMarkerStateChange::Event, 0x025D9710)
DECLARE_EVENT_SOURCE(WeaponAttack::Event, 0x025D9780)
DECLARE_EVENT_SOURCE(Trespass::Event, 0x02637200)
DECLARE_EVENT_SOURCE(VATSEvents::ModeChange, 0x026A08E0)
DECLARE_EVENT_SOURCE(VATSCommand, 0x026A0950)
DECLARE_EVENT_SOURCE(HoursPassed::Event, 0x02908220)

// other events
DECLARE_EVENT_SOURCE(RadioManager::PipboyTransmitterDetectionEvent, 0x023A2A50)
DECLARE_EVENT_SOURCE_EX(XPChange::Event, 0x05CDD440)
DECLARE_EVENT_SOURCE_EX(WeaponFiredEvent, 0x05CD0628)
DECLARE_EVENT_SOURCE_EX(ActorEquipManagerEvent::Event, 0x0666FAB0)
DECLARE_EVENT_SOURCE_EX(ActorEquipManagerEvent::SpellEvent, 0x0666FAD8)
DECLARE_EVENT_SOURCE_EX(AttachReference::Event, 0x05CDD418)
